/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/**********************************************/
/*            Ejercicio 2.3                   */
/**********************************************/
version 14
clear
*La instrucción para abrir los archivos de ejemplo de Stata, por ejemplo el fichero census,  es
sysuse census
*Se fija en primer lugar la lengua en que están los datos
label language EN, rename
*Ahora se crea un nuevo espacio para la lengua castellana
label language SP, new
*En primer lugar se cambian las etiquetas de las variables
label var state Estado
label var state2 "Estado (abrev.)"
label var region "Región censal"
label var pop "Población"
label var poplt5 "Población con menos de 5 años"
label var pop5_17 "Población entre 5 y 17 años"
label var pop18p "Población con más de 18 años"
label var pop65p "Población con más de 65 años"
label var popurban "Población urbana"
label var medage "Mediana de la población"
label var death "Número de muertes"
label var marriage "Número de matrimonios"
label var divorce "Número de divorcios"
*Se listan las etiquetas de los valores
label dir
*Como sólo existe cenreg, se pide su contenido
label list cenreg
*Para expresarla en castellano, se crea una nueva definición de etiqueta (etiregion)
label define etiregion 1 "NE" 2 "Centro" 3 "Sur" 4 "Oeste"
*Se aplica esta definición a la variable region
label value region etiregion
*Finalmente, comprobamos que las etiquetas se han cambiado efectivamente.
tab region
*Si se desean las etiquetas en inglés, se vuelve a la otra lengua y se repite la instrucción.
label language EN
tab region
