/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero capitales.csv             */
/**********************************************/
/*            Ejercicio 3.2                   */
/**********************************************/
version 14
capture confirm file "..\Data\capitales2008.csv"
if _rc!=0{
*Este programa necesita que el fichero capitales2008.csv se encuentre en el directorio ..\Data
exit
}
clear
* Primero hay que tener preparado el fichero provincias2008.csv 
* Pese a que el archivo sólo contiene dos variables reales, 
* el INE coloca una coma al final de cada fila, por lo que STATA 
* entiende que hay una tercera variable (que está completamente vacía). 
* Por ello, tenemos que especificar tres nombres de variables 
* capital poblacion_capital y otra
* para que STATA pueda leer correctamente el archivo .csv 
* Si se hubieran especificado dos, daría error. 
* (Otra opción sería no especificiar ningún nombre para que el programa 
* asigne a las variables los nombres v1, v2 y v3). 
insheet capital poblacion_capital otra using "..\Data\capitales2008.csv"
* Después, conviene eliminar la variable otra con la siguiente orden:
drop otra
* La variable capital es textual. Conviene cambiar su formato para que quede alineada a la izquierda
format capital %-50s
* Ahora se guardan los datos con el formato de Stata.
* La opción replace suplanta la antigua versión en caso de que exista.
save ejercicio3-2, replace
