/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita ficheros capitales2008.sav y      */
/* provincias2008.csv                         */
/**********************************************/
/*            Ejercicio 3.3                   */
/**********************************************/
version 14
pause on
capture confirm file "..\Data\provincias2008.csv"
if _rc!=0{
*Este programa necesita que el fichero capitales2008.csv se encuentre en el directorio ..\Data
exit
}
capture confirm file "..\Data\capitales2008.dta"
if _rc!=0{
*Este programa necesita que el fichero provincias2008.csv se encuentre en el directorio ..\Data
exit
}
clear
* Antes que nada hay que tener preparados los ficheros 
* provincias2008.csv y capitales2008.sav (ejercicio 3.2)
* En primer lugar, se trabaja con provincias2008
* Pese a que el archivo sólo contiene dos variables reales, 
* el INE coloca una coma al final de cada fila, por lo que STATA 
* entiende que hay una tercera variable (que está completamente vacía). 
* Por ello, tenemos que especificar tres nombres de variables 
* provincia poblacion_provincia y otra
* para que STATA pueda leer correctamente el archivo .csv 
* Si se hubieran especificado dos, daría error. 
* (Otra opción sería no especificiar ningún nombre para que el programa 
* asigne a las variables los nombres v1, v2 y v3). 
insheet provincia poblacion_provincia otra using "..\Data\provincias2008.csv", clear
* Se cambia el formato de la variable provincia para que quede justificada a la izquierda
format provincia %-30s
drop otra
* Como este fichero y capitales2008.sav tienen el mismo orden, basta con utilizar merge
merge using "..\Data\capitales2008"
* Si se mira los datos, se puede comprobar la fusión perfecta
edit
* La variable _merge indica que de Ceuta y Melilla falta la información del
* segundo fichero, ya que la provincia coincide con la ciudad.
* Mire el final del fichero.
* Puede borrarse también una vez comprobada y guardar el conjunto
pause "Pulse "q" en la ventana de instrucciones para proseguir con el programa"
drop _merge
save ejercicio3-3, replace
pause off
