/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*Necesita ficheros dicDA2794.dct y DA2794.dat*/
/**********************************************/
/*            Ejercicio 3.4                   */
/**********************************************/
version 14
capture confirm file "..\Data\dicDA2794.dct"
if _rc!=0{
*Este programa necesita que el fichero dicDA2794.dct se encuentre en el directorio ..\Data
exit
}
capture confirm file "..\Data\DA2794.dat"
if _rc!=0{
*Este programa necesita que el fichero DA2794.dat se encuentre en el directorio"
}
* Se borra de memoria cualquier fichero anterior
clear
* Se llama al fichero que contiene el diccionario de datos
infix using "..\Data\dicDA2794.dct"
* Se pone etiquetas a las variables
 label variable CCAA "Comunidad autónoma"
 label variable PROV "Provincia"
 label variable MUN "Municipio"
 label variable TAMUNI "Tamaño de hábitat"
 label variable AREA "Área metropolitana"
 label variable P0 "Nacionalidad del entrevistado"
 label variable P0A "Nacionalidad del entrevistado (no español)"
 label variable P0B "Momento de la adquisición del nacionalidad española"
 label variable P0C "Nivel de conocimiento de castellano"
 label variable P0D "Nivel de conocimiento de castellano atribuido (entrevistador)"
 label variable P0E "Nivel de conocimiento de castellano de la población no española"
 label variable P0F "Nivel de conocimiento de castellano de la población no española atribuido (entrevistador)"
 label variable P0G "Sexo del entrevistado no español"
 label variable P0H "Edad del entrevistado no español"
 label variable P1 "Valoración de la situación económica general de España"
 label variable P2 "Valoración prospectiva de la situación económica de España (1 año)"
 label variable P3 "Valoración de la situación política general de España"
 label variable P4 "Valoración prospectiva de la situación política de España (1 año)"
 label variable P501 "Problemas principales que existen actualmente en España"
 label variable P502 "Problemas principales que existen actualmente en España"
 label variable P503 "Problemas principales que existen actualmente en España"
 label variable P601 "Problemas sociales que personalmente afectan más"
 label variable P602 "Problemas sociales que personalmente afectan más"
 label variable P603 "Problemas sociales que personalmente afectan más"
 label variable P7 "Imagen del funcionamiento de las administraciones públicas en España"
 label variable P8 "Valoración retrospectiva del funcionamiento de las administraciones públicas en España (10 años)"
 label variable P9 "Dificultad para realizar gestiones en las oficinas de la Administración pública"
 label variable P9A01 "En primer lugar"
 label variable P9A02 "En segundo lugar"
 label variable P9A03 "En tercer lugar"
 label variable P10 "Conocimiento de la posibilidad de realizar gestiones vía internet con la Administración pública"
 label variable P10A01 "Primero"
 label variable P10A02 "Segundo"
 label variable P10A03 "Tercero"
 label variable P1101 "En primer lugar"
 label variable P1102 "En segundo lugar"
 label variable P1201 "En primer lugar"
 label variable P1202 "En segundo lugar"
 label variable P1301 "En primer lugar"
 label variable P1302 "En segundo lugar"
 label variable P1401 "Obtener información sobre cómo realizar distintas gestiones (renovación de documentos, obtención de licencias, etc.)"
 label variable P1402 "Obtener información sobre la disponibilidad de plazas, vacantes o listas de espera"
 label variable P1403 "Concertar citas para realizar trámites o servicios (citas médicas, para renovar documentos, para matricularse, etc.)"
 label variable P1404 "Obtener formularios, impresos y"
 label variable P1405 "Consultar los datos que la Administración tiene sobre Ud. (datos fiscales, vida laboral, etc.)"
 label variable P1406 "Consultar el estado de tramitación de cualquier gestión y"
 label variable P1407 "Realizar la tramitación completa de las gestiones"
 label variable P15 "Medio preferido para buscar información sobre gestiones con la Administración pública"
 label variable P15A "Página web preferida para buscar información sobre gestiones con la Administración pública"
 label variable P16 "Medio preferido para realizar gestiones con la Administración general del Estado"
 label variable P17 "Medio preferido para realizar gestiones con la Administración autónomica"
 label variable P18 "Medio preferido para realizar gestiones con la Administración municipal"
 label variable P1901 "Sí, en persona"
 label variable P1902 "Sí, por teléfono"
 label variable P1903 "Sí, por correo"
 label variable P1904 "Sí, por Internet"
 label variable P1905 "No"
 label variable P1906 "No recuerda"
 label variable P1907 "N.C."
 label variable P20 "Uso de internet para realizar gestiones con la Administración pública hace más de 1 año"
 label variable P20A01 "En primer lugar"
 label variable P20A02 "En segundo lugar"
 label variable P20B "Grado de probabilidad de utilizar internet para realizar gestiones con la Administración pública"
 label variable P2101 "Organismo de la Administración pública con el que realizó las gestiones vía internet"
 label variable P2102 "Organismo de la Administración pública con el que realizó las gestiones vía internet"
 label variable P2103 "Organismo de la Administración pública con el que realizó las gestiones vía internet"
 label variable P2201 "Buscar la dirección y el teléfono de ese organismo"
 label variable P2202 "Contactar por correo electrónico"
 label variable P2203 "Obtener información sobre los requisitos o procedimiento para realizar una gestión"
 label variable P2204 "Descargar formularios, impresos o aplicaciones informáticas"
 label variable P2205 "Concertar una cita (para realizar una matrícula en un centro de enseñanza, para una cita médica, etc.)"
 label variable P2206 "Realizar algún trámite (pago de impuestos, obtención de licencias)"
 label variable P2207 "Otras respuestas"
 label variable P2208 "No recuerda"
 label variable P2209 "N.C."
 label variable P22A "Resultado de la búsqueda de información vía internet en un organismo de la Administración pública"
 label variable P22B "Grado de facilidad de la búsqueda de información vía internet en un organismo de la Administración pública"
 label variable P22C "Resultado de la realización de la gestión/cita vía internet en un organismo de la Administración pública"
 label variable P22D "Grado de facilidad de la realización de la gestión/cita vía internet en un organismo de la Administración pública"
 label variable P22E "Razón de la dificultad de la realización de la gestión/cita vía internet en un organismo de la Administración pública"
 label variable P23 "Grado de satisfacción por la utilización de internet en el contacto con un organismo de la Administración pública"
 label variable P24 "Conocimiento del nuevo formato del DNI electrónico"
 label variable P24A "Razón del nuevo formato del DNI electrónico"
 label variable P24B01 "Identificarse con entidades bancarias de forma segura a través de Internet"
 label variable P24B02 "Hacer trámites con las Administraciones Públicas (con la misma validez que la firma manuscrita) por Internet"
 label variable P25 "Razón de la tenencia del nuevo DNI electrónico"
 label variable P26 "Utilización del nuevo DNI electrónico para realizar gestiones con la Administración pública"
 label variable P26A01 "Primera"
 label variable P26A02 "Segunda"
 label variable P26A03 "Tercera"
 label variable P27 "Uso de internet en los últimos doce meses"
 label variable P27A "Frecuencia de acceso a internet en los últimos doce meses"
 label variable P27B01 "En casa"
 label variable P27B02 "En el trabajo"
 label variable P27B03 "En casa de un familiar o amigo"
 label variable P27B04 "En un lugar público (cibercafé, biblioteca, locutorio)"
 label variable P27B05 "N.C."
 label variable P27C01 "Realizar gestiones bancarias"
 label variable P27C02 "Comprar algún producto o servicio on line"
 label variable P27C03 "Búsquedas de información o documentación"
 label variable P27C04 "Compra o reserva de entradas para cines, espectáculos, etc."
 label variable P27C05 "Descarga de música, vídeos, películas, etc."
 label variable P27C06 "Gestiones con organismos de la Administración (Padrón, Seguridad Social, Agencia Tributaria, Ayuntamientos, etc.)"
 label variable P27C07 "Llamadas telefónicas por Internet (Telefonía IP)"
 label variable P27C08 "Foros, chats, mensajería (Messenger, Tuenti, Facebook)"
 label variable P27C09 "Correo electrónico"
 label variable P27C10 "N.C."
 label variable P2801 "Tiempo libre disponible en un día laborable (horas)"
 label variable P2802 "Tiempo libre disponible en un día laborable (minutos)"
 label variable P2803 "Tiempo libre disponible en un día laborable (semana)"
 label variable P2901 "La realización de tareas domésticas (compra, limpieza, preparación de alimentos)"
 label variable P2902 "La realización de gestiones y trámites (acudir al banco, realizar papeleo con las Administraciones Públicas)"
 label variable P2903 "Atender problemas domésticos como reparaciones, revisiones del equipamiento del hogar,etc.)"
 label variable P30 "Escala de autoubicación ideológica (1-10)"
 label variable P31 "Participación electoral en las elecciones generales de 2008"
 label variable P31A "Recuerdo de voto en las elecciones generales de 2008"
 label variable P32 "Sexo del entrevistado"
 label variable P33 "Edad del entrevistado"
 label variable P34 "Escolarización del entrevistado"
 label variable P34A "Nivel de estudios alcanzado por el entrevistado"
 label variable P35 "Religiosidad del entrevistado"
 label variable P35A "Frecuencia de asistencia a oficios religiosos"
 label variable P36 "Cabeza de familia"
 label variable P37 "Situación laboral del entrevistado"
 label variable P39 "Situación profesional del entrevistado"
 label variable P40 "Tipo de empresa u organización del entrevistado"
 label variable P41 "Rama de actividad del entrevistado"
 label variable P4201 "Televisor"
 label variable P4202 "Vídeo"
 label variable P4203 "Videocámara"
 label variable P4204 "Ordenador personal"
 label variable P4205 "Teléfono fijo"
 label variable P4206 "Fax"
 label variable P4207 "Antena parabólica de TV"
 label variable P4208 "Televisión por cable"
 label variable P4209 "Televisión digital terrestre (TDT)"
 label variable P4210 "Teléfono móvil"
 label variable P4211 "Conexión a Internet"
 label variable P4212 "Videoconsola"
 label variable P4213 "DVD"
 label variable P4214 "Mp3, Mp4, o iPod"
 label variable P4215 "Lector de DNI electrónico"
 label variable P4216 "N.C."
 label variable P43 "Número de teléfono"
 label variable P28 "Tiempo libre disponible en un día laborable"
 label variable RECUERDO "Recuerdo de voto en las elecciones generales de 2008"
 label variable ESTUDIOS "Estudios del entrevistado"
 label variable OCUPA "Ocupación del entrevistado"
 label variable CONDICION "Condición socioeconómica del entrevistado"
 label variable ESTATUS "Estatus socioeconómico del entrevistado"
* Se pone etiqueta a las variables
label define CCAA  01 "Andalucía"  02 "Aragón" 03 "Asturias (Principado de)" ///
  04 "Baleares (Islas)" 05 "Canarias" 06 "Cantabria" ///
  07 "Castilla  La Mancha" 08 "Castilla y León" ///
  09 "Cataluña" 10 "Comunidad Valenciana" 11 "Extremadura" ///
  12 "Galicia" 13 "Madrid (Comunidad de)" 14 "Murcia (Región de)" ///
  15 "Navarra (Comunidad Foral de)" 16 "País Vasco" 17 "Rioja (La)"
label values CCAA CCAA
label define PROV  01 "Álava" 02 "Albacete" 03 "Alicante" 04 "Almería" 33 "Asturias" ///
  05 "Ávila" 06 "Badajoz" 07 "Baleares" 08 "Barcelona" 09 "Burgos" ///
  10 "Cáceres" 11 "Cádiz" 39 "Cantabria" 12 "Castellón de la Plana" ///
  13 "Ciudad Real" 14 "Córdoba" 15 "Coruña (A)" 16 "Cuenca" ///
  17 "Girona" 18 "Granada" 19 "Guadalajara" 20 "Guipúzcoa" ///
  21 "Huelva" 22 "Huesca" 23 "Jaén" 24 "León" 25 "Lleida" 27 "Lugo" 28 "Madrid" ///
  29 "Málaga" 30 "Murcia" 31 "Navarra" 32 "Ourense" 34 "Palencia" ///
  35 "Palmas (Las)" 36 "Pontevedra" 26 "Rioja (La)" 37 "Salamanca" ///
  38 "Santa Cruz de Tenerife" 40 "Segovia" 41 "Sevilla" 42 "Soria" ///
  43 "Tarragona" 44 "Teruel" 45 "Toledo" 46 "Valencia" 47 "Valladolid" ///
  48 "Vizcaya" 49 "Zamora" 50 "Zaragoza"
label values PROV PROV
label define TAMUNI  01 "Menos o igual a 2000 habitantes" ///
  02 "2.001 a 10.000 habitantes" ///
  03 "10.001 a 50.000 habitantes" ///
  04 "50.001 a 100.000 habitantes" ///
  05 "100001 a 400000 habitantes" ///
  06 "400001 a 1.000.000 habitantes" ///
  07 "Más de 1.000.000 habitantes"
label values TAMUNI TAMUNI
label define P0  1 "La nacionalidad española" ///
  2 "La nacionalidad española y otra" ///
  3 "Otra nacionalidad"
label values P0 P0
label define P0a  1 "Española" ///
  2 "Alemana" ///
  3 "Argentina" ///
  4 "Austriaca" ///
  5 "Belga" ///
  6 "Boliviana" ///
  7 "Brasileña" ///
  8 "Británica" ///
  9 "Búlgara" ///
  10 "Chilena" ///
  11 "China" ///
  12 "Colombiana" ///
  13 "Dominicana" ///
  14 "Ecuatoriana" ///
  15 "Egipcia" ///
  16 "Estona" ///
  17 "Francesa" ///
  18 "Guineana" ///
  19 "India" ///
  20 "Italiana" ///
  21 "Malinense" ///
  22 "Marroquí" ///
  23 "Mauritana" ///
  24 "Mexicana" ///
  25 "Nicaragüense" ///
  26 "Pakistaní" ///
  27 "Paraguaya" ///
  28 "Peruana" ///
  29 "Polaca" ///
  30 "Portuguesa" ///
  31 "Rumana" ///
  32 "Rusa" ///
  33 "Senegalesa" ///
  34 "Sueca" ///
  35 "Suiza" ///
  36 "Uruguaya" ///
  37 "Venezolana" ///
  38 "Iraquí" ///
  39 "Cubana" ///
  40 "Ucraniana" ///
  41 "Nigeriana" ///
  42 "Ghanesa" ///
  43 "Camerunesa" ///
  44 "Gambiana" ///
  45 "Griega" ///
  46 "Hondureña" ///
  47 "Coreana" ///
  48 "Maltesa" ///
  49 "Holandesa" ///
  50 "Finlandesa" ///
  51 "Filipina" ///
  52 "Moldava" ///
  53 "Lituana" ///
  54 "Armenia" ///
  55 "Estadounidense" ///
  56 "Húngara" ///
  57 "Mozambiqueña" ///
  58 "Yugoslava" ///
  59 "Argelina" ///
  60 "Irlandesa" ///
  61 "Japonesa" ///
  62 "Croata" ///
  63 "Canadiense" ///
  64 "Sudafricana" ///
  65 "Noruega" ///
  66 "Siria" ///
  67 "Australiana" ///
  68 "Panameña" ///
  69 "Jordana" ///
  70 "Danesa" ///
  71 "Georgiana" ///
  72 "Checa" ///
  73 "Congoleña" ///
  74 "Bangladesa" ///
  75 "Salvadoreña" ///
  76 "Angoleña" ///
  77 "Eslovaca" ///
  78 "Iraní" ///
  79 "Sierraleonesa" ///
  80 "Tunecina" ///
  81 "Guatemalteca" ///
  82 "Caboverdiana" ///
  83 "Libanesa" ///
  84 "Sudanesa" ///
  85 "Tailandesa" ///
  86 "Serbia" ///
  87 "Jamaicana" ///
  88 "Gabonesa" ///
  89 "Bielorusa" ///
  90 "Israelí" ///
  91 "Marfileña" ///
  92 "Puertorriqueña" ///
  93 "Palestina" ///
  94 "Taiwanesa" ///
  95 "Kirguistaní" ///
  96 "Albanesa" ///
  97 "Letona" ///
  98 "Andorrana" ///
  99 "Turca" ///
 100 "Bahameña" ///
 101 "Togolesa" ///
 999 "N.C."
label values P0A P0a
label define P0b  1 "Desde que nació" ///
  2 "La ha adquirido con posterioridad" ///
  9 "N.C."
label values P0A P0b
label define P0varios  1 "No lo habla en absoluto" ///
  2 "Lo habla un poco" ///
  3 "Lo habla más o menos bien" ///
  4 "Lo habla con fluidez" ///
  5 "Lo habla como si fuera nativo" ///
  6 "Es su idioma materno" ///
  8 "N.S." ///
  9 "N.C."
label values P0C P0D P0E P0F P0varios
label define P0g  1 "Hombre" ///
  2 "Mujer" ///
  9 "No consta"
label values P0G
label define P0h  1 "18 24" ///
  2 "25 34" ///
  3 "35 44" ///
  4 "45 54" ///
  5 "55 64" ///
  6 "65 y más" ///
  9 "N.C."
label values P0H
label define P1_P3  1 "Muy buena" ///
  2 "Buena" ///
  3 "Regular" ///
  4 "Mala" ///
  5 "Muy mala" ///
  8 "N.S." ///
  9 "N.C."
label values P1 P3 P1_P3
label define P2_P4  1 "Mejor" ///
  2 "Igual" ///
  3 "Peor" ///
  8 "N.S." ///
  9 "N.C."
label values P2 P4 P2_P4
label define P501_P603  01 "El paro" ///
  02 "Las drogas" ///
  03 "La inseguridad ciudadana" ///
  04 "El terrorismo, ETA" ///
  05 "Las infraestructuras" ///
  06 "La sanidad" ///
  07 "La vivienda" ///
  08 "Los problemas de índole económica" ///
  09 "Los problemas relacionados con la calidad del empleo" ///
  10 "Los problemas de la agricultura, ganadería y pesca" ///
  11 "La corrupción y el fraude" ///
  12 "Las pensiones" ///
  13 "La clase política, los partidos políticos" ///
  14 "Las guerras en general" ///
  15 "La Administración de Justicia" ///
  16 "Los problemas de índole social" ///
  17 "El racismo" ///
  18 "La inmigración" ///
  19 "La violencia contra la mujer" ///
  20 "Los problemas relacionados con la juventud" ///
  21 "La crisis de valores" ///
  22 "La educación" ///
  23 "Los problemas medioambientales" ///
  24 "El Gobierno, los políticos y los partidos" ///
  25 "El funcionamiento de los servicios públicos" ///
  26 "Los nacionalismos" ///
  27 "Los problemas relacionados con la mujer" ///
  28 "El terrorismo internacional" ///
  29 "Las preocupaciones y situaciones personales" ///
  30 "El Estatuto de Cataluña" ///
  31 "Las negociaciones con ETA" ///
  96 "Otras respuestas" ///
  97 "Ninguno" ///
  98 "N.S." ///
  99 "N.C."
label values P501-P603 P501_P603
label define P7  1 "Muy positiva" ///
  2 "Bastante positiva" ///
  3 "Ni positiva ni negativa (NO LEER)" ///
  4 "Bastante negativa" ///
  5 "Muy negativa" ///
  8 "N.S." ///
  9 "N.C."
label values P7 P7
label define P8  1 "Mucho mejor" ///
  2 "Mejor" ///
  3 "Igual" ///
  4 "Peor" ///
  5 "Mucho peor" ///
  8 "N.S." ///
  9 "N.C."
label values P8 P8
label define P9  1 "Sí" ///
  2 "No" ///
  8 "N.S." ///
  9 "N.C."
label values P9 P9
label define P9a01_P9a03  1 "Lentitud en resolver los trámites" ///
  2 "Excesiva burocracia, el papeleo, muchos requisitos" ///
  3 "Lenguaje poco claro en sus impresos o instrucciones" ///
  4 "Falta de conocimiento y preparación de los funcionarios" ///
  5 "Lejanía o problemas de acceso a las oficinas de la Admón" ///
  6 "Malos horarios" ///
  7 "Pocos servicios disponibles a través de Internet" ///
  8 "Falta de amabilidad en el trato personal" ///
  10 "Incomodidad de las instalaciones, aglomeraciones, colas" ///
  11 "Dificultad para comunicar telefónicamente con las oficinas" ///
  12 "Dificultad para saber cuál es el organismo al que dirigirse" ///
  98 "N.S." ///
  99 "N.C."
label values P9A01-P9A03 P9a01_P9a03
label define P10  1 "Sí" ///
  2 "No" ///
  9 "N.C."
label values P10 P10
label define P10a01_P10a03  1 "Realizar los requisistos para la declaración de la renta" ///
  2 "Pedir cita sanitaria, tarjeta sanitaria, etc." ///
  3 "Solicitar y/o consultar el informe de vida laboral" ///
  4 "Gestiones en el INEM para la prestación del desempleo" ///
  5 "Solicitud del D.N.I." ///
  6 "Obtener otro tipo de documentos personales" ///
  7 "Informarse sobre prestaciones sociales" ///
  8 "Gestionar asuntos con la D.G.T." ///
  9 "Tramitar licencias" ///
  10 "Consultar ofertas de empleo" ///
  11 "Hacer gestiones sobre actividades educativas" ///
  12 "Pagar otro tipo de impuestos" ///
  13 "Obtener información sobre distintas gestiones generales" ///
  14 "Obtener formularios a aplicaciones informáticas" ///
  15 "Citas y consultas no relacionadas con las admones. públicas" ///
  96 "Otras respuestas" ///
  98 "N.S." ///
  99 "N.C."
label values P10A01-P10A03 P10a01_P10a03
label define P1101_P1102  1 "En persona" ///
  2 "Por teléfono" ///
  3 "Por carta o fax" ///
  4 "Por Internet" ///
  8 "N.S." ///
  9 "N.C."
label values P1101-P1102 P1101_P1102
label define P1201_P1202  1 "Se evitan los desplazamientos" ///
  2 "Se ahorra tiempo" ///
  3 "La Administración resuelve antes si es por Internet" ///
  4 "Las gestiones pueden hacerse a cualquier hora" ///
  5 "Otras respuestas" ///
  7 "Ninguna" ///
  8 "N.S." ///
  9 "N.C."
label values P1201-P1202 P1201_P1202
label define P1301_P1302  1 "No tener contacto directo con una persona" ///
  2 "La inseguridad que puede tener Internet" ///
  3 "Realizar gestiones por Internet es complicado" ///
  4 "Es necesario tener identificación electrónica" ///
  5 "Otras respuestas" ///
  7 "Ninguno" ///
  8 "N.S." ///
  9 "N.C."
label values P1301-P1302 P1301_P1302
label define P1401_P1407  1 "Muy útil" ///
  2 "Bastante útil" ///
  3 "Poco útil" ///
  4 "Nada útil" ///
  8 "N.S." ///
  9 "N.C."
label values P1401-P1407 P1401_P1407
label define P15  1 "Ir a la oficina de la Administración más cercana" ///
  2 "Solicitar información por correo o fax" ///
  3 "Solicitar información por teléfono" ///
  4 "Buscar información por Internet" ///
  5 "Otras respuestas" ///
  8 "N.S." ///
  9 "N.C."
label values P15 P15
label define P15a  1 "Buscador general (Google, Yahoo, etc.)" ///
  2 "Portal de información general de la Administración" ///
  3 "Página del organismo responsable del servicio" ///
  4 "Otras páginas" ///
  8 "N.S." ///
  9 "N.C."
label values P15A P15a
label define P16_P18  1 "Ir directamente a la oficina más cercana" ///
  2 "Intentar resolverlo por teléfono" ///
  3 "Intentar resolverlo por Internet" ///
  4 "No realizo gestiones nunca, me las hace otra persona" ///
  9 "N.C."
label values P16-P18 P16_P18
label define P20  1 "Sí" ///
  2 "No" ///
  8 "No recuerda" ///
  9 "N.C."
label values P20 P20
label define P20a01_P20a02  1 "Prefiero tener copia impresa y sellada de los documentos" ///
  2 "Desconfío de la seguridad de los datos personales" ///
  3 "La información que dan las oficinas es insuficiente" ///
  4 "Prefiero consultar personalmente" ///
  5 "Los requisitos para hacer trámites son complicados" ///
  6 "No puedo consultar la situación de mi gestión" ///
  7 "No sabía que se podían realizar las gestiones por Internet" ///
  8 "No sé manejar Internet" ///
  9 "No tengo acceso a Internet" ///
  10 "Otras respuestas" ///
  98 "N.S." ///
  99 "N.C."
label values P20A01 P20A02 P20A01_P20a02
label define P20b  1 "Muy probable" ///
  2 "Bastante probable" ///
  3 "Poco probable" ///
  4 "Nada probable" ///
  8 "N.S." ///
  9 "N.C."
label values P20B P20b
label define P2101_P2103  1 "Agencia Tributaria" ///
  2 "Seguridad Social" ///
  3 "Comisarías" ///
  4 "Red 060 de atención al ciudadano" ///
  5 "Oficinas de Servicios Públicos de Empleo" ///
  6 "Oficinas de Tráfico" ///
  7 "Delegaciones y Subdelegaciones del Gobierno" ///
  8 "Oficina del DNI electrónico" ///
  9 "Otros ministerios y organismos de la Admón. del Estado" ///
  10 "Administración de las Comunidades Autónomas" ///
  11 "Ayuntamiento (pago de impuestos, empadronamiento, etc.)" ///
  12 "Otros" ///
  98 "N.S." ///
  99 "N.C."
label values P2101-P2103 P2101_P2103
label define P22a_P22c  1 "Sí" ///
  2 "No" ///
  8 "No recuerda" ///
  9 "N.C."
label values P22A P22C P22a_P22c
label define P22b_P22d  1 "Muy fácil" ///
  2 "Fácil" ///
  3 "Difícil" ///
  4 "Muy difícil" ///
  8 "No recuerda" ///
  9 "N.C."
label values P22B P22D P22b_P22d
label define P22E  1 "Era demasiado complicado" ///
  2 "Sólo se podía hacer parte de la gestión" ///
  3 "No tenía alguno de los requisitos para hacer el trámite" ///
  4 "Otras razones" ///
  8 "N.S." ///
  9 "N.C."
label values P22E P22E
label define P23  1 "Muy satisfecho/a" ///
  2 "Bastante satisfecho/a" ///
  3 "Ni satisfecho/a ni insatisfecho/a (NO LEER)" ///
  4 "Poco satisfecho/a" ///
  5 "Nada satisfecho/a" ///
  8 "No recuerda" ///
  9 "N.C."
label values P23 P23
label define P24  1 "Sí, lo conozco Pero no lo tengo" ///
  2 "Sí, lo conozco y lo tengo" ///
  3 "No lo conozco" ///
  9 "N.C."
label values P24 P24
label define P24a  1 "Es igual que el otro, sólo ha cambiado el formato" ///
  2 "Es distinto, permite hacer cosas que antes no se podía" ///
  8 "N.S." ///
  9 "N.C."
label values P24A P24a
label define P24b01_P24b02_P26_P27  1 "Sí" ///
  2 "No" ///
  9 "N.C."
label values P24B01 P24B02 P26 P27 P24b01_P24b02_P26_P27
label define P25  1 "Me tocaba renovarlo" ///
  2 "Fui a hacérmelo porque quería tenerlo" ///
  9 "N.C."
label values P25 P25
label define P26a01_P26a03  1 "Saber calificaciones de exámenes" ///
  2 "INEM" ///
  3 "Pagar tributos" ///
  4 "Pagar declaración de la renta" ///
  5 "Vida laboral" ///
  6 "Petición de información" ///
  7 "Solicitud de registro mercantil" ///
  8 "Cambio domicilio fiscal" ///
  9 "Acceso datos de la Seguridad Social" ///
  10 "Acceso datos de Hacienda" ///
  11 "Catastro" ///
  12 "Situación de puntos del carnet de conducir" ///
  98 "N.S." ///
  99 "N.C."
label values P26A01-P26A03 P26a01_P26a03
label define P27a  1 "Todos los días" ///
  2 "De tres a cinco días por semana" ///
  3 "Uno o dos días por semana" ///
  4 "Algunas veces al mes" ///
  5 "Con menor frecuencia o de manera ocasional" ///
  9 "N.C."
label values P27A P27a
label define P2901_P2903  1 "Habitualmente" ///
  2 "A veces" ///
  3 "Nunca" ///
  7 "No procede" ///
  9 "N.C."
label values P2901-P2903 P2901_P2903
label define P30  01 "Extrema izquierda" ///
  10 "Extrema derecha" ///
  98 "N.S." ///
  99 "N.C."
label values P30 P30
label define P31  1 "Fue a votar y votó" ///
  2 "No tenía edad para votar" ///
  3 "Fue a votar pero no pudo hacerlo" ///
  4 "No fue a votar porque no pudo" ///
  5 "Prefirió no votar" ///
  8 "No recuerda" ///
  9 "N.C."
label values P31 P31
label define P31a  01 "PSOE" ///
  02 "PP" ///
  03 "IU/ICV" ///
  04 "CiU" ///
  06 "UPyD" ///
  05 "PNV" ///
  07 "ERC" ///
  08 "BNG" ///
  09 "CC" ///
  10 "Na Bai" ///
  11 "Otros partidos" ///
  12 "En blanco" ///
  98 "No recuerda" ///
  99 "N.C."
label values P31A P31a
label define P32  1 "Hombre" ///
  2 "Mujer"
label values P32 P32
label define P33  99 "N.C."
label values P33 P33
label define P34  1 "No, es analfabeto" ///
  2 "No, pero sabe leer y escribir" ///
  3 "Sí, ha ido a la escuela" ///
  9 "N.C."
label values P34 P34
label define P34a  01 "Menos de 5 años de escolarización" ///
  02 "Educación primaria de LOGSE" ///
  03 "ESO o Bachiller elemental" ///
  04 "Formación Profesional de grado medio" ///
  05 "Bachillerato de LOGSE" ///
  06 "Formación Profesional de grado superior" ///
  07 "Arquitecto e Ingeniero Técnico" ///
  08 "Diplomado" ///
  09 "Arquitecto e Ingeniero Superior" ///
  10 "Licenciado" ///
  11 "Estudios de Postgrado o especialización" ///
  98 "N.S." ///
  99 "N.C."
label values P34A P34a
label define P35  1 "Católico/a" ///
  2 "Creyente de otra religión" ///
  3 "No creyente" ///
  4 "Ateo" ///
  9 "N.C."
label values P35 P35
label define P35a  1 "Casi nunca" ///
  2 "Varias veces al año" ///
  3 "Alguna vez al mes" ///
  4 "Casi todos los domingos y festivos" ///
  5 "Varias veces a la semana" ///
  9 "N.C."
label values P35A P35a
label define P36  1 "El entrevistado" ///
  2 "Otra persona" ///
  3 "(NO LEER) El entrevistado y otro a partes iguales" ///
  9 "N.C."
label values P36 P36
label define P37  1 "Trabaja" ///
  2 "Jubilado/a o pensionista (anteriormente ha trabajado)" ///
  3 "Pensionista (anteriormente no ha trabajado)" ///
  4 "Parado/a y ha trabajado antes" ///
  5 "Parado/a y busca su primer empleo" ///
  6 "Estudiante" ///
  7 "Trabajo doméstico no remunerado" ///
  8 "Otra situación" ///
  9 "N.C."
label values P37 P37
label define P39  1 "Asalariado fijo (a sueldo, comisión, jornal, etc.)" ///
  2 "Asalariado eventual o interino (a sueldo, comisión, jornal)" ///
  3 "Empresario o profesional con asalariados" ///
  4 "Profesional o trabajador autónomo (sin asalariados)" ///
  5 "Ayuda familiar (sin remuneración reglamentada)" ///
  6 "Miembro de una cooperativa" ///
  7 "Otra situación" ///
  9 "N.C."
label values P39 P39
label define P40  1 "Administración Pública" ///
  2 "Empresa pública" ///
  3 "Empresa privada" ///
  4 "Organización sin fines de lucro" ///
  5 "Servicio doméstico" ///
  6 "Otros" ///
  9 "N.C."
label values P40 P40
label define P41  01 "Agricultura, ganadería, caza, silvicultura" ///
  05 "Pesca, acuicultura" ///
  10 "Extracción de Productos energéticos" ///
  12 "Extracción de otros minerales" ///
  15 "Industrias de la alimentación, bebidas y tabaco" ///
  17 "Industria textil de la confección" ///
  19 "Industria del cuero y del calzado" ///
  20 "Industria de la madera y el corcho" ///
  21 "Industria del papel" ///
  23 "Refino de petróleo, coquerías y combustibles nucleares" ///
  24 "Industria química" ///
  25 "Fabricación de productos de caucho y materias plásticas" ///
  26 "Fabricación de otros productos minerales no metálicos" ///
  27 "Metalurgia y fabricación de productos metálicos" ///
  29 "Fabricación de equipos mecánicos: oficina e informáticos" ///
  31 "Industria de material y equipo electrónico" ///
  34 "Fabricación de todo tipo de material de transporte" ///
  36 "Fabricación de muebles" ///
  40 "Producción y distribución de energía eléctrica, gas y agua" ///
  45 "Construcción, climatización, e instalaciones eléctricas" ///
  50 "Comercio: farmacias y todo tipo de reparaciones" ///
  55 "Hostelería" ///
  60 "Transporte, almacenamiento, correos, comunicaciones" ///
  65 "Intermediación financiera" ///
  70 "Actividades inmobiliarias, informáticas, consultorías" ///
  75 "Administración pública, defensa, seguridad social" ///
  80 "Educación" ///
  85 "Actividades sanitarias y veterinarias" ///
  90 "Actividades de saneamiento público" ///
  91 "Actividades asociativas diversas" ///
  92 "Actividades recreativas, culturales y deportivas" ///
  93 "Actividades diversas de servicios personales" ///
  95 "Hogares que emplean personal doméstico" ///
  96 "Organismos extraterritoriales" ///
  99 "N.C."
label values P41 P41
label define P42 1"Sí"
label values P4201-P4216 P42
label define P43  1 "Tiene teléfono y da número" ///
   2 "No tiene teléfono" ///
   3 "Tiene teléfono y no da número" ///
   9 "N.C."
label values P43 P43
label define P46   1 "Sí" ///
   2 "No" ///
   9 "No consta"
label values P46 P46
label define P47   1 "La persona entrevistada las ha usado todas" ///
   2 "Sólo ha utilizado algunas" ///
   3 "Las he leido yo" ///
   9 "No consta"
label values P47 P47
label define P48    1 "Muy buena" ///
   2 "Buena" ///
   3 "Regular" ///
   4 "Mala" ///
   5 "Muy mala" ///
   9 "No consta"
label values P48 P48
label define P49    1 "Mucha" ///
   2 "Bastante" ///
   3 "Poca" ///
   4 "Ninguna" ///
   9 "No consta"
label values P49 P49
label define P28   0 "Nada de tiempo" ///
   1 "Menos de 4 horas" ///
   2 "De 4 a 5,59 horas" ///
   3 "De 6 a 7,59 horas" ///
   4 "8 horas" ///
   5 "DE 8,01 A 10,59 horas" ///
   6 "11 horas y más" ///
   9 "N.C."
label values P28 P28
label define RECUERDO   1  "PSOE" ///
   2  "PP" ///
   3  "IU" ///
   4  "CiU" ///
   5  "Otros partidos" ///
   6  "No tenía edad para votar" ///
   7  "En blanco" ///
   8  "No votó" ///
   9  "No recuerda" ///
   99  "N.C."
label values RECUERDO RECUERDO
label define ESTUDIOS   1  "Sin estudios" ///
   2  "Primaria" ///
   3  "Secundaria" ///
   4  "F.P." ///
   5  "Medios universitarios" ///
   6  "Superiores" ///
   9  "N.C."
label values ESTUDIOS ESTUDIOS
label define OCUPA  1  "Dirección de empresas y administraciones públicas" ///
  2  "Técnicos y profesionales científicos e intelectuales" ///
  3  "Técnicos y profesionales de apoyo" ///
  4  "Empleados de tipo administrativo" ///
  5  "Trabajadores de servicios de restauración y personales" ///
  6  "Trabajadores cualificados de agricultura y pesca" ///
  7  "Artesanos y trabajadores cualificados de la industria" ///
  8  "Operadores de maquinaria y montadores" ///
  9  "Trabajadores no cualificados" ///
  10  "Fuerzas armadas" ///
  99  "N.C."
label values OCUPA OCUPA
label define CONDICION   1  "Directores y profesionales" ///
   2  "Técnicos y cuadro medios" ///
   3  "Pequeños empresarios" ///
   4  "Agricultores" ///
   5  "Empleados de oficinas y servicios" ///
   6  "Obreros cualificados" ///
   7  "Obreros no cualificados" ///
   8  "Jubilados y pensionistas" ///
   9  "Parados" ///
   10  "Estudiantes" ///
   11  "Trabajo doméstico no remunerado" ///
   12  "No clasificables"
label values CONDICION CONDICION
label define ESTATUS   1  "Clase alta/ media-alta" ///
   2  "Nuevas clases medias" ///
   3  "Viejas clases medias" ///
   4  "Obreros cualificados" ///
   5  "Obreros no cualificados"
label values ESTATUS ESTATUS
*Se comprime el formato de grabación de las variables
compress
*Se graba el fichero de esta investigación
save ../data/cis2794, replace
