/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*Necesita ficheros dicDA2798.dct, DA2798.dat */
/*         y DA2794.dta(E03-4)                */
/**********************************************/
/*            Ejercicio 3.5                   */
/**********************************************/
version 14
capture confirm file "..\Data\dicDA2798.dct"
if _rc!=0{
*Este programa necesita que el fichero dicDA2798.dct se encuentre en el directorio ..\Data
exit
}
capture confirm file "..\Data\DA2798.dat"
if _rc!=0{
display "Este programa necesita que el fichero DA2798.dat se encuentre en el directorio"
}
capture confirm file "..\Data\DA2794.dta"
if _rc!=0{
*Este programa necesita que el fichero DA2794.dta se encuentre en el directorio
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Se llama al fichero que contiene el diccionario de datos
infix using "..\Data\dicDA2798.dct"
* Se pone etiqueta a las variables
 label variable CCAA"Comunidad Autónoma"
 label variable PROV"Provincia"
 label variable TAMUNI"Tamaño de hábitat"
 label variable MUN"Municipio"
 label variable DISTR"Distrito"
 label variable p0 "Nacionalidad del entrevistado"
 label variable p0a "Nacionalidad del entrevistado (no español)"
 label variable p0b "Momento de la adquisición del nacionalidad española"
 label variable p0c "Nivel de conocimiento de castellano"
 label variable p0d "Nivel de conocimiento de castellano atribuido (entrevistador)"
 label variable p0e "Nivel de conocimiento de castellano de la población no española"
 label variable p0f "Nivel de conocimiento de castellano de la población no española atribuido (entrevistador)"
 label variable p0g "Sexo del entrevistado no español"
 label variable p0h "Edad del entrevistado no español"
 label variable p1 "Valoración de la situación económica general de España"
 label variable p2 "Valoración prospectiva de la situación económica de España (1 año)"
 label variable p3 "Valoración de la situación económica general de España (1 año después)"
 label variable p4 "Valoración prospectiva de la situación política de España"
 label variable p5 "Valoración de la situación política general de España"
 label variable p6 "Valoración prospectiva de la situación política de España (1 año)"
 label variable p701 "problemas principales que existen actualmente en España"
 label variable p702 "problemas principales que existen actualmente en España"
 label variable p703 "problemas principales que existen actualmente en España"
 label variable p801 "problemas sociales que personalmente afectan más"
 label variable p802 "problemas sociales que personalmente afectan más"
 label variable p803 "problemas sociales que personalmente afectan más"
 label variable p901 "problemas a los que el gobierno dedica más atención"
 label variable p902 "problemas a los que el gobierno dedica más atención"
 label variable p903 "problemas a los que el gobierno dedica más atención"
 label variable p10 "Se puede confiar en la gente?"
 label variable p1101 "La familia"
 label variable p1102 "Los amigos"
 label variable p1103 "El tiempo libre"
 label variable p1104 "La política"
 label variable p1105 "El trabajo"
 label variable p1106 "La religión"
 label variable p1107 "Las asociaciones, clubes y otras actividades asociativas"
 label variable p1201 "Amigos"
 label variable p1202 "Familiares"
 label variable p1203 "Compañeros de trabajo o estudios"
 label variable p1301 "Escucha o ve las noticias en la radio o la televisión"
 label variable p1302 "Aparte de las noticias, escucha o ve otros programas sobre política en la radio o la televisión"
 label variable p1303 "Aparte de la prensa deportiva, lee el periódico (en papel  o por Internet"
 label variable p1304 "Usa Internet para obtener información acerca de la política o la sociedad"
 label variable p13d01 "En páginas de medios de comunicación (periódicos, radios, etc.)"
 label variable p13d02 "En páginas de partidos o candidatos"
 label variable p13d03 "En páginas de organizaciones ciudadanas o movimientos cívicos"
 label variable p13d04 "En blogs y foros de debate"
 label variable p13d05 "En otro tipo de páginas"
 label variable p13d06 "N.C."
 label variable p1401 "Un partido político"
 label variable p1402 "Un sindicato o asociación de empresarios"
 label variable p1403 "Un colegio profesional"
 label variable p1404 "Una parroquia u otro tipo de organización o asociación religiosa"
 label variable p1405 "Un grupo deportivo"
 label variable p1406 "Un grupo cultural o de ocio"
 label variable p1407 "Una organización de apoyo social o derechos humanos"
 label variable p1408 "Una asociación juvenil o estudiantil"
 label variable p1409 "Otro tipo de asociación voluntaria"
 label variable p1501 "Firmar una petición o recogida de firmas"
 label variable p1502 "Comprar ciertos productos por razones políticas, éticas, o para favorecer el medio ambiente"
 label variable p1503 "Dejar de comprar o boicotear ciertos productos por, razones políticas, éticas o para favorecer el medio ambiente"
 label variable p1504 "participar en una huelga"
 label variable p1505 "Asistir a una manifestación"
 label variable p1506 "Asistir a una reunión o mitin político"
 label variable p1507 "Contactar o intentar contactar con un político para expresarle sus opiniones"
 label variable p1508 "Donar o recaudar fondos para una actividad social o política"
 label variable p1509 "Contactar o comparecer ante los medios de comunicación para expresar sus opiniones"
 label variable p1510 "participar en un blog, foro o grupo de discusión política en Internet"
 label variable p1701 "José Luis Rodríguez Zapatero"
 label variable p1702 "Mariano Rajoy"
 label variable p1703 "Cayo Lara"
 label variable p1704 "Josep A. Durán i Lleida"
 label variable p1705 "Íñigo Urkullu"
 label variable p1706 "Rosa Díez"
 label variable p1707 "Joan puigcercós"
 label variable p1708 "Anxo Quintana"
 label variable p1709  "paulino Rivero"
 label variable p1710  "Uxue Barkos"
 label variable p2001 "Bibiana Aído"
 label variable p2002 "José Blanco"
 label variable p2003 "Francisco Caamaño"
 label variable p2004 "Carme Chacón"
 label variable p2005 "Manuel Chaves"
 label variable p2006 "Celestino Corbacho"
 label variable p2007 "Beatriz Corredor"
 label variable p2008 "Elena Espinosa"
 label variable p2009 "M. Teresa Fernández de la Vega"
 label variable p2010 "Ángel Gabilondo"
 label variable p2011 "Cristina Garmendia"
 label variable p2012 "Ángeles González Sinde"
 label variable p2013 "Trinidad Jiménez"
 label variable p2014 "Miguel Ángel Moratinos"
 label variable p2015 "Alfredo pérez Rubalcaba"
 label variable p2016 "Elena Salgado"
 label variable p2017 "Miguel Sebastián"
 label variable p2701 "pSOE"
 label variable p2702 "pp"
 label variable p2703 "IU"
 label variable p2704 "UpyD"
 label variable p3901 "Se ha realizado la entrevista en presencia de terceras personas"
 label variable p3902 "Ha expresado la persona entrevistada deseo de abandonar entrevista antes de finalizarla"
 label variable p3903 "Se ha sentido la persona entrevistada incómoda o molesta por el tema de la encuesta"
 label variable p3904 "Ha tenido prisa la persona entrevistada por acabar la entrevista"
 label variable VOTOSIM "Voto+simpatía"
 label variable RECUERDO "Recuerdo de voto"
 label variable ESTUDIOS "Estudios del entrevistado"
 label variable OCUPA "Ocupación del entrevistado"
 label variable CONDICION "Condición socioeconómica"
 label variable ESTATUS "Estatus socioeconómico"
*Se pone etiqueta a los valores
label define CCAA  01 "Andalucía"  02 "Aragón" 03 "Asturias (principado de)" ///
  04 "Baleares (Islas)" 05 "Canarias" 06 "Cantabria" ///
  07 "Castilla  La Mancha" 08 "Castilla y León" ///
  09 "Cataluña" 10 "Comunidad Valenciana" 11 "Extremadura" ///
  12 "Galicia" 13 "Madrid (Comunidad de)" 14 "Murcia (Región de)" ///
  15 "Navarra (Comunidad Foral de)" 16 "País Vasco" 17 "Rioja (La)"
label values CCAA CCAA
label define PROV  01 "Álava" 02 "Albacete" 03 "Alicante" 04 "Almería" 33 "Asturias" ///
  05 "Ávila" 06 "Badajoz" 07 "Baleares" 08 "Barcelona" 09 "Burgos" ///
  10 "Cáceres" 11 "Cádiz" 39 "Cantabria" 12 "Castellón de la Plana" ///
  13 "Ciudad Real" 14 "Córdoba" 15 "Coruña (A)" 16 "Cuenca" ///
  17 "Girona" 18 "Granada" 19 "Guadalajara" 20 "Guipúzcoa" ///
  21 "Huelva" 22 "Huesca" 23 "Jaén" 24 "León" 25 "Lleida" 27 "Lugo" 28 "Madrid" ///
  29 "Málaga" 30 "Murcia" 31 "Navarra" 32 "Ourense" 34 "Palencia" ///
  35 "Palmas (Las)" 36 "Pontevedra" 26 "Rioja (La)" 37 "Salamanca" ///
  38 "Santa Cruz de Tenerife" 40 "Segovia" 41 "Sevilla" 42 "Soria" ///
  43 "Tarragona" 44 "Teruel" 45 "Toledo" 46 "Valencia" 47 "Valladolid" ///
  48 "Vizcaya" 49 "Zamora" 50 "Zaragoza"
label values PROV PROV
label define TAMUNI  01 "Menos o igual a 2000 habitantes" ///
  02 "2.001 a 10.000 habitantes" ///
  03 "10.001 a 50.000 habitantes" ///
  04 "50.001 a 100.000 habitantes" ///
  05 "100001 a 400000 habitantes" ///
  06 "400001 a 1.000.000 habitantes" ///
  07 "Más de 1.000.000 habitantes"
label values TAMUNI TAMUNI
label define p0  1 "La nacionalidad española" ///
  2 "La nacionalidad española y otra" ///
  3 "Otra nacionalidad"
label values p0 p0
label define p0a  1 "Española" ///
  2 "Alemana" ///
  3 "Argentina" ///
  4 "Austriaca" ///
  5 "Belga" ///
  6 "Boliviana" ///
  7 "Brasileña" ///
  8 "Británica" ///
  9 "Búlgara" ///
  10 "Chilena" ///
  11 "China" ///
  12 "Colombiana" ///
  13 "Dominicana" ///
  14 "Ecuatoriana" ///
  15 "Egipcia" ///
  16 "Estona" ///
  17 "Francesa" ///
  18 "Guineana" ///
  19 "India" ///
  20 "Italiana" ///
  21 "Malinense" ///
  22 "Marroquí" ///
  23 "Mauritana" ///
  24 "Mexicana" ///
  25 "Nicaragüense" ///
  26 "Pakistaní" ///
  27 "Paraguaya" ///
  28 "Peruana" ///
  29 "Polaca" ///
  30 "Portuguesa" ///
  31 "Rumana" ///
  32 "Rusa" ///
  33 "Senegalesa" ///
  34 "Sueca" ///
  35 "Suiza" ///
  36 "Uruguaya" ///
  37 "Venezolana" ///
  38 "Iraquí" ///
  39 "Cubana" ///
  40 "Ucraniana" ///
  41 "Nigeriana" ///
  42 "Ghanesa" ///
  43 "Camerunesa" ///
  44 "Gambiana" ///
  45 "Griega" ///
  46 "Hondureña" ///
  47 "Coreana" ///
  48 "Maltesa" ///
  49 "Holandesa" ///
  50 "Finlandesa" ///
  51 "Filipina" ///
  52 "Moldava" ///
  53 "Lituana" ///
  54 "Armenia" ///
  55 "Estadounidense" ///
  56 "Húngara" ///
  57 "Mozambiqueña" ///
  58 "Yugoslava" ///
  59 "Argelina" ///
  60 "Irlandesa" ///
  61 "Japonesa" ///
  62 "Croata" ///
  63 "Canadiense" ///
  64 "Sudafricana" ///
  65 "Noruega" ///
  66 "Siria" ///
  67 "Australiana" ///
  68 "Panameña" ///
  69 "Jordana" ///
  70 "Danesa" ///
  71 "Georgiana" ///
  72 "Checa" ///
  73 "Congoleña" ///
  74 "Bangladesa" ///
  75 "Salvadoreña" ///
  76 "Angoleña" ///
  77 "Eslovaca" ///
  78 "Iraní" ///
  79 "Sierraleonesa" ///
  80 "Tunecina" ///
  81 "Guatemalteca" ///
  82 "Caboverdiana" ///
  83 "Libanesa" ///
  84 "Sudanesa" ///
  85 "Tailandesa" ///
  86 "Serbia" ///
  87 "Jamaicana" ///
  88 "Gabonesa" ///
  89 "Bielorusa" ///
  90 "Israelí" ///
  91 "Marfileña" ///
  92 "Puertorriqueña" ///
  93 "Palestina" ///
  94 "Taiwanesa" ///
  95 "Kirguistaní" ///
  96 "Albanesa" ///
  97 "Letona" ///
  98 "Andorrana" ///
  99 "Turca" ///
 100 "Bahameña" ///
 101 "Togolesa" ///
 999 "N.C."
label values p0a p0a
label define p0b  1 "Desde que nació" ///
  2 "La ha adquirido con posterioridad" ///
  9 "N.C."
label values p0a p0b
label define p0varios  1 "No lo habla en absoluto" ///
  2 "Lo habla un poco" ///
  3 "Lo habla más o menos bien" ///
  4 "Lo habla con fluidez" ///
  5 "Lo habla como si fuera nativo" ///
  6 "Es su idioma materno" ///
  8 "N.S." ///
  9 "N.C."
label values p0c p0d p0e p0f p0varios
label define p0g  1 "Hombre" ///
  2 "Mujer" ///
  9 "No consta"
label values p0g p0g
label define p0h  1 "18 24" ///
  2 "25 34" ///
  3 "35 44" ///
  4 "45 54" ///
  5 "55 64" ///
  6 "65 y más" ///
  9 "N.C."
label values p0h p0h
label define p1_p4  1 "Muy buena" ///
  2 "Buena" ///
  3 "Regular" ///
  4 "Mala" ///
  5 "Muy mala" ///
  8 "N.S." ///
  9 "N.C."
label values p1 p4 p1_p4
label define p2_p6  1 "Mejor" ///
  2 "Igual" ///
  3 "Peor" ///
  8 "N.S." ///
  9 "N.C."
label values p2 p3 p5 p6 p2_p6
label define p701_p803  01 "El paro" ///
  02 "Las drogas" ///
  03 "La inseguridad ciudadana" ///
  04 "El terrorismo, ETA" ///
  05 "Las infraestructuras" ///
  06 "La sanidad" ///
  07 "La vivienda" ///
  08 "Los problemas de índole económica" ///
  09 "Los problemas relacionados con la calidad del empleo" ///
  10 "Los problemas de la agricultura, ganadería y pesca" ///
  11 "La corrupción y el fraude" ///
  12 "Las pensiones" ///
  13 "La clase política, los partidos políticos" ///
  14 "Las guerras en general" ///
  15 "La Administración de Justicia" ///
  16 "Los problemas de índole social" ///
  17 "El racismo" ///
  18 "La inmigración" ///
  19 "La violencia contra la mujer" ///
  20 "Los problemas relacionados con la juventud" ///
  21 "La crisis de valores" ///
  22 "La educación" ///
  23 "Los problemas medioambientales" ///
  24 "El Gobierno, los políticos y los partidos" ///
  25 "El funcionamiento de los servicios públicos" ///
  26 "Los nacionalismos" ///
  27 "Los problemas relacionados con la mujer" ///
  28 "El terrorismo internacional" ///
  29 "Las preocupaciones y situaciones personales" ///
  30 "El Estatuto de Cataluña" ///
  31 "Las negociaciones con ETA" ///
  96 "Otras respuestas" ///
  97 "Ninguno" ///
  98 "N.S." ///
  99 "N.C."
label values p701-p803 p701_p803
label define p901_p903  01 "El paro" ///
  02 "Las drogas" ///
  03 "La inseguridad ciudadana" ///
  04 "El terrorismo, ETA" ///
  05 "Las infraestructuras" ///
  06 "La sanidad" ///
  07 "La vivienda" ///
  08 "Los problemas de índole económica" ///
  09 "Los problemas relacionados con la calidad del empleo" ///
  10 "Los problemas de la agricultura, ganadería y pesca" ///
  11 "La corrupción y el fraude" ///
  12 "Las pensiones" ///
  13 "La clase política, los partidos políticos" ///
  14 "Las guerras en general" ///
  15 "La Administración de Justicia" ///
  16 "Los problemas de índole social" ///
  17 "El racismo" ///
  18 "La inmigración" ///
  19 "La violencia contra la mujer" ///
  20 "Los problemas relacionados con la juventud" ///
  21 "La crisis de valores" ///
  22 "La educación" ///
  23 "Los problemas medioambientales" ///
  24 "El Gobierno, los políticos y los partidos" ///
  25 "El funcionamiento de los servicios públicos" ///
  26 "Los nacionalismos" ///
  27 "Los problemas relacionados con la mujer" ///
  28 "El terrorismo internacional" ///
  29 "Las preocupaciones y situaciones personales" ///
  30 "El Estatuto de Cataluña" ///
  31 "Las negociaciones con ETA" ///
  40 "A discutir con la oposición" ///
  41 "A sus propios intereses" ///
  42 "A ganar dinero, a robar" ///
  43 "A ganar las elecciones" ///
  44 "A la política internacional" ///
  45 "A la Ley de Dependencia" ///
  46 "A la Ley de Igualdad" ///
  47 "A los aspectos sociales de las minorías" ///
  48 "A las ayudas excesivas a inmigrantes" ///
  49 "A la Ley del aborto" ///
  50 "A la Eutanasia" ///
  51 "A temas banales" ///
  52 "A la Memoria Histórica" ///
  53 "A pederastas, a los abusos de menores" ///
  54 "A los ataques antirreligiosos" ///
  55 "A la construcción, a la burbuja inmobiliaria" ///
  56 "A las ayudas económicas a entidades bancarias" ///
  57 "A las autonomías y políticas autonómicas" ///
  95 "A todos" ///
  96 "Otras respuestas" ///
  97 "Ninguno" ///
  98 "N.S." ///
  99 "N.C."
label values p901-p903 p901_p903
label define p10   1 "Casi siempre se puede confiar en la gente" ///
   2 "Normalmente se puede confiar en la gente" ///
   3 "Normalmente, todas las precauciones son pocas" ///
   4 "Casi siempre, todas las precauciones son pocas" ///
   8 "N.S." ///
   9 "N.C." 
label values p10 p10 
label define p1101_p1107  98 "N.S." ///
  99 "N.C." 
label values p1101-p1107 p1101_p1107
label define p1201_p1203   1 "A menudo" ///
   2 "Algunas veces" ///
   3 "Raramente" ///
   4 "Nunca" ///
   7 "No procede" ///
   8 "N.S." ///
   9 "N.C." 
label values p1201-p1203 p1201_p1203
 label define p1301_p1304   1 "Todos los días" ///
   2 "3 4 días por semana" ///
   3 "1 2 días por semana" ///
   4 "Con menor frecuencia" ///
   5 "Nunca" ///
   8 "N.S." ///
   9 "N.C." 
label values p1301-p1304 p1301_p1304
 label define p13a 1 "La 1" ///
 2 "La 2" ///
 3 "Antena 3" ///
 4 "Cuatro" ///
 5 "Tele 5" ///
 6 "La Sexta" ///
 7 "Canal Sur" ///
 8 "TV3" ///
 9 "Canal 9" ///
 10 "Localia" ///
 11 "Telemadrid" ///
 12 "TVG" ///
 13 "ETB2" ///
 14 "CMT" ///
 15 "Canal 2 Andalucía" ///
 16 "TVAC (Canarias)" ///
 17 "Canal 33" ///
 18 "Aragón TV" ///
 19 "ETB1" ///
 20 "Punt 2" ///
 21 "IB3 (Baleares)" ///
 22 "7REG (Murcia)" ///
 23 "C.Extremadura" ///
 24 "TPA (Asturias)" ///
 25 "TVCYL (Castilla León)" ///
 94 "Digitales y de pago" ///
 95 "Cualquiera sin especificar" ///
 96 "Otras respuestas" ///
 97 "Ninguna" ///
 98 "N.S." ///
 99 "N.C." 
label values p13a p13a
 label define p13b 1 "Cadena Ser" ///
 2 "Cadena Cope" ///
 3 "Onda Cero" ///
 4 "RNE R1" ///
 5 "Catalunya Radio" ///
 6 "punto Radio" ///
 7 "Sur Radio" ///
 8 "RAC 1" ///
 9 "Radio Euskadi" ///
 10 "Radio Galega" ///
 11 "Radio Nou (Valencia)" ///
 12 "Radio España" ///
 13 "Radio Castilla la Mancha" ///
 95 "Cualesquiera sin especificar" ///
 96 "Otras respuestas" ///
 97 "Ninguna" ///
 98 "N.S." ///
 99 "N.C." 
label values p13b p13b
 label define p13c 1 "El País" ///
 2 "El Mundo" ///
 3 "ABC" ///
 4 "La Razón" ///
 5 "El Público" ///
 6 "El Correo" ///
 7 "El Periódico" ///
 8 "La Vanguardia" ///
 9 "la Voz de Galicia" ///
 10 "Nueva España" ///
 11 "Diario Vasco" ///
 12 "Levante" ///
 13 "Heraldo de Aragón" ///
 14 "Faro de Vigo" ///
 15 "Diario de Navarra" ///
 16 "La Verdad" ///
 17 "El Norte de Castilla" ///
 18 "Información Alicante" ///
 19 "El Día" ///
 20 "ültima Hora" ///
 21 "Diario Montañés" ///
 22 "Ideal de Andalucía" ///
 23 "Sur" ///
 24 "La provincia" ///
 25 "Las provincias" ///
 26 "Diario de Cádiz" ///
 27 "Canarias 7" ///
 28 "Hoy Diario Extremadura" ///
 29 "El Comercio" ///
 30 "El Punt" ///
 31 "Avui" ///
 32 "Diario de Mallorca" ///
 33 "Diario de León" ///
 34 "Córdoba" ///
 35 "La Rioja" ///
 36 "Diario de Avisos" ///
 37 "Diario de Burgos" ///
 38 "Gara" ///
 39 "El Progreso" ///
 40 "La Región" ///
 41 "Deia" ///
 42 "Mediterráneo" ///
 43 "El Adelanto" ///
 44 "La Gaceta" ///
 45 "El Diario de Jaen" ///
 46 "La Tribuna" ///
 47 "La Voz de Asturias" ///
 48 "Berria" ///
 49 "Diario de Alto Aragón" ///
 50 "Crónica" ///
 51 "Odiel" ///
 52 "El Diari Catalá" ///
 53 "La Voz de Almería" ///
 54 "El Heraldo de Soria" ///
 55 "El Diario de Sevilla" ///
 56 "Diario Gallego (Atlántico)" ///
 57 "El Diario de Noticia (País Vasco)" ///
 58 "Alerta. El Diario de Cantabria" ///
 59 "El Lanza" ///
 60 "El Diario de Ávila" ///
 61 "La Opinión de Zamora" ///
 94 "Periódicos gratuitos" ///
 95 "Cualquiera sin especificar" ///
 96 "Otras respuestas" ///
 97 "Ninguno" ///
 99 "N.C." 
label values p13c p13c
 label define p1401_p1409   1 "Pertenece, y participa activamente" ///
   2 "Pertenece, pero no participa activamente" ///
   3 "Antes pertenecía, pero ahora no" ///
   4 "Nunca ha pertenecido a ninguno de esos grupos" ///
   8 "N.S." ///
   9 "N.C." 
label values p1401-p1409 p1401_p1409
 label define p1501_p1510   1 "Ha participado durante el año pasado" ///
   2 "Participó en un pasado lejano" ///
   3 "Nunca ha participado" ///
   9 "N.C." 
label values p1501-p1510 p1501_p1510
 label define p1601_p1602 1 "Conservador/a" ///
 2 "Demócrata cristiano/a" ///
 3 "Liberal" ///
 4 "Socialdemócrata" ///
 5 "Socialista" ///
 6 "Comunista" ///
 7 "Nacionalista" ///
 8 "Ecologista" ///
 9 "Otras respuestas" ///
 97 "Apolítico" ///
 98 "N.S." ///
 99 "N.C." 
label values p1601 p1602 p1601_p1602
 label define p18_p19  1 "Muy buena" ///
   2 "Buena" ///
   3 "Regular" ///
   4 "Mala" ///
   5 "Muy mala" ///
   8 "N.S." ///
   9 "N.C." 
label values p18 p19 p18_p19
 label define p1701_p1710_p2001_p2017  97 "No conoce" ///
  98 "N.S." ///
  99 "N.C" 
label values p1701-p1710 p2001-p2017 p1701_p1710_p2001_p2017
 label define p21_p22   1 "Mucha confianza" ///
   2 "Bastante confianza" ///
   3 "poca confianza" ///
   4 "Ninguna confianza" ///
   8 "N.S." ///
   9 "N.C" 
label values p21-p22 p21_p22
 label define p23 01 "pSOE" ///
  02 "PP" ///
  03 "IU/ICV" ///
  04 "CiU" ///
  06 "UPyD" ///
  05 "PNV" ///
  07 "ERC" ///
  08 "BNG" ///
  09 "CC" ///
  10 "Na Bai" ///
  11 "Otros partidos" ///
  96 "En blanco" ///
  97 "No votaría" ///
  98 "No sabe todavía" ///
  99 "N.C." 
label values p23 p23
 label define p23a 01 "PSOE" ///
  02 "PP" ///
  03 "IU/ICV" ///
  04 "CiU" ///
  06 "UPyD" ///
  05 "PNV" ///
  07 "ERC" ///
  08 "BNG" ///
  09 "CC" ///
  10 "Na Bai" ///
  11 "Otros partidos" ///
  96 "En blanco" ///
  97 "Ninguno" ///
  98 "N.S." ///
  99 "N.C." 
label values p23a p23a
 label define p24_p26 01 "Extrema izquierda" ///
  10 "Extrema derecha" ///
  98 "N.S." ///
  99 "N.C." 
label values p24-p26 p24_p26
 label define p2701_p2704 00 "Extrema izquierda" ///
  10 "Extrema derecha" ///
  98 "N.S." ///
  99 "N.C." 
label values p2701-p2704 p2701_p2704
 label define p28   1 "Fué a votar y votó" ///
   2 "No tenía edad para votar" ///
   3 "Fue a votar pero no pudo hacerlo" ///
   4 "No fue a votar porque no pudo" ///
   5 "Prefirió no votar" ///
   8 "No recuerda" ///
   9 "N.C." 
label values p28 p28
 label define p28a 01 "pSOE" ///
  02 "PP" ///
  03 "IU/ICV" ///
  04 "CiU" ///
  06 "UPyD" ///
  05 "PNV" ///
  07 "ERC" ///
  08 "BNG" ///
  09 "CC" ///
  10 "Na Bai" ///
  11 "Otros partidos" ///
  12 "En blanco" ///
  98 "No recuerda" ///
  99 "N.C." 
label values p28a p28a
 label define p29 1 "Hombre" ///
  2 "Mujer" 
label values p29 p29
 label define p30  99 "N.C."
label values p30 p30
 label define p31 1 "No, es analfabeto" ///
  2 "No, pero sabe leer y escribir" ///
  3 "Sí, ha ido a la escuela" ///
  9 "N.C." 
label values p31 p31
 label define p31a 01 "Menos de 5 años de escolarización" ///
  02 "Educación primaria de LOGSE" ///
  03 "ESO o Bachiller elemental" ///
  04 "Formación Profesional de grado medio" ///
  05 "Bachillerato de LOGSE" ///
  06 "Formación Profesional de grado superior" ///
  07 "Arquitecto e Ingeniero Técnico" ///
  08 "Diplomado" ///
  09 "Arquitecto e Ingeniero Superior" ///
  10 "Licenciado" ///
  11 "Estudios de Postgrado o especialización" ///
  98 "N.S." ///
  99 "N.C." 
label values p31a p31a
 label define p32 1 "Católico/a" ///
  2 "Creyente de otra religión" ///
  3 "No creyente" ///
  4 "Ateo" ///
  9 "N.C." 
label values p32 p32
 label define p32a 1 "Casi nunca" ///
  2 "Varias veces al año" ///
  3 "Alguna vez al mes" ///
  4 "Casi todos los domingos y festivos" ///
  5 "Varias veces a la semana" ///
  9 "N.C." 
label values p32a p32a
 label define p33 1 "El entrevistado" ///
  2 "Otra persona" ///
  3 "(NO LEER) El entrevistado y otro a partes iguales" ///
  9 "N.C." 
label values p33 p33
 label define p34 1 "Trabaja" ///
  2 "Jubilado/a o pensionista (anteriormente ha trabajado)" ///
  3 "Pensionista (anteriormente no ha trabajado)" ///
  4 "Parado/a y ha trabajado antes" ///
  5 "Parado/a y busca su primer empleo" ///
  6 "Estudiante" ///
  7 "Trabajo doméstico no remunerado" ///
  8 "Otra situación" ///
  9 "N.C." 
label values p34 p34
 label define p36 1 "Asalariado fijo (a sueldo, comisión, jornal, etc.)" ///
  2 "Asalariado eventual o interino (a sueldo, comisión, jornal)" ///
  3 "Empresario o profesional con asalariados" ///
  4 "Profesional o trabajador autónomo (sin asalariados)" ///
  5 "Ayuda familiar (sin remuneración reglamentada)" ///
  6 "Miembro de una cooperativa" ///
  7 "Otra situación" ///
  9 "N.C." 
label values p36 p36
 label define p36a 1 "Administración pública" ///
  2 "Empresa pública" ///
  3 "Empresa privada" ///
  4 "Organización sin fines de lucro" ///
  5 "Servicio doméstico" ///
  6 "Otros" ///
  9 "N.C." 
label values p36a p36a
 label define p37 01 "Agricultura, ganadería, caza, silvicultura" ///
  05 "Pesca, acuicultura" ///
  10 "Extracción de productos energéticos" ///
  12 "Extracción de otros minerales" ///
  15 "Industrias de la alimentación, bebidas y tabaco" ///
  17 "Industria textil de la confección" ///
  19 "Industria del cuero y del calzado" ///
  20 "Industria de la madera y el corcho" ///
  21 "Industria del papel" ///
  23 "Refino de petróleo, coquerías y combustibles nucleares" ///
  24 "Industria química" ///
  25 "Fabricación de productos de caucho y materias plásticas" ///
  26 "Fabricación de otros productos minerales no metálicos" ///
  27 "Metalurgia y fabricación de productos metálicos" ///
  29 "Fabricación de equipos mecánicos: oficina e informáticos" ///
  31 "Industria de material y equipo electrónico" ///
  34 "Fabricación de todo tipo de material de transporte" ///
  36 "Fabricación de muebles" ///
  40 "Producción y distribución de energía eléctrica, gas y agua" ///
  45 "Construcción, climatización, e instalaciones eléctricas" ///
  50 "Comercio: farmacias y todo tipo de reparaciones" ///
  55 "Hostelería" ///
  60 "Transporte, almacenamiento, correos, comunicaciones" ///
  65 "Intermediación financiera" ///
  70 "Actividades inmobiliarias, informáticas, consultorías" ///
  75 "Administración pública, defensa, seguridad social" ///
  80 "Educación" ///
  85 "Actividades sanitarias y veterinarias" ///
  90 "Actividades de saneamiento público" ///
  91 "Actividades asociativas diversas" ///
  92 "Actividades recreativas, culturales y deportivas" ///
  93 "Actividades diversas de servicios personales" ///
  95 "Hogares que emplean personal doméstico" ///
  96 "Organismos extraterritoriales" ///
  99 "N.C." 
label values p37 p37
 label define p38    1 "Tiene teléfono y da número" ///
    2 "No tiene teléfono" ///
    3 "Tiene teléfono y no da número" ///
    9 "N.C." 
label values p38 p38
 label define p41    1 "Sí" ///
    2 "No" ///
    9 "No consta" 
label values p41 p41
 label define p42    1 "La persona entrevistada las ha usado todas" ///
    2 "Sólo ha utilizado algunas" ///
    3 "Las he leido yo" ///
    9 "No consta" 
label values p42 p42
 label define p43    1 "Muy buena" ///
    2 "Buena" ///
    3 "Regular" ///
    4 "Mala" ///
    5 "Muy mala" ///
    9 "No consta" 
label values p43 p43
 label define p44    1 "Mucha" ///
    2 "Bastante" ///
    3 "Poca" ///
    4 "Ninguna" ///
    9 "No consta" 
label values p44 p44
 label define VOTOSIM    1  "PSOE" ///
    2  "PP" ///
    3  "IU/ICV" ///
    4  "CiU" ///
    5  "PNV" ///
    6  "UPyD" ///
    7  "ERC" ///
    8  "BNG" ///
    9  "CC" ///
    10 "Na-Bai" ///
    11 "Otros partidos" ///
    96 "En blanco" ///
    97 "Ninguno" ///
    98 "N.S." ///
    99 "N.C."
label values VOTOSIM VOTOSIM
label define RECUERDO   1  "PSOE" ///
   2  "PP" ///
   3  "IU" ///
   4  "CiU" ///
   5  "Otros partidos" ///
   6  "No tenía edad para votar" ///
   7  "En blanco" ///
   8  "No votó" ///
   9  "No recuerda" ///
   99  "N.C."
label values RECUERDO RECUERDO
label define ESTUDIOS   1  "Sin estudios" ///
   2  "Primaria" ///
   3  "Secundaria" ///
   4  "F.P." ///
   5  "Medios universitarios" ///
   6  "Superiores" ///
   9  "N.C."
label values ESTUDIOS ESTUDIOS
label define OCUPA  1  "Dirección de empresas y administraciones públicas" ///
  2  "Técnicos y profesionales científicos e intelectuales" ///
  3  "Técnicos y profesionales de apoyo" ///
  4  "Empleados de tipo administrativo" ///
  5  "Trabajadores de servicios de restauración y personales" ///
  6  "Trabajadores cualificados de agricultura y pesca" ///
  7  "Artesanos y trabajadores cualificados de la industria" ///
  8  "Operadores de maquinaria y montadores" ///
  9  "Trabajadores no cualificados" ///
  10  "Fuerzas armadas" ///
  99  "N.C."
label values OCUPA OCUPA
label define CONDICION   1  "Directores y profesionales" ///
   2  "Técnicos y cuadro medios" ///
   3  "Pequeños empresarios" ///
   4  "Agricultores" ///
   5  "Empleados de oficinas y servicios" ///
   6  "Obreros cualificados" ///
   7  "Obreros no cualificados" ///
   8  "Jubilados y pensionistas" ///
   9  "Parados" ///
   10  "Estudiantes" ///
   11  "Trabajo doméstico no remunerado" ///
   12  "No clasificables"
label values CONDICION CONDICION
label define ESTATUS   1  "Clase alta/ media-alta" ///
   2  "Nuevas clases medias" ///
   3  "Viejas clases medias" ///
   4  "Obreros cualificados" ///
   5  "Obreros no cualificados"
label values ESTATUS ESTATUS
*Se comprime el formato de grabación de las variables
compress
*Se graba el fichero de esta investigación
save ../data/da2798, replace
*Ahora se llama al estudio 2794 para que aparezca en primer lugar
use "..\data\da2794.dta", clear
* Se procede a la fusión con el estudio 2798; pero sólo las variables con nombre común.
* (Hay otras comunes, para poderlas fusionar tendrían que tener el mismo nombre)
rename P32 p29
rename P33 p30
*(Se quitan también AREA DISTR SECCION y ENTREV por no ser útiles)
append using "..\data\da2798", ///
       keep(CUES CCAA PROV MUN TAMUNI p29 p30 RECUERDO ESTUDIOS OCUPA CONDICION ESTATUS)
*Del fichero original también se mantienen solo las comunes
keep CUES CCAA PROV MUN TAMUNI p29 p30 RECUERDO ESTUDIOS OCUPA CONDICION ESTATUS
*Se mira el resultado
edit
*Se guarda la fusión
save ..\data\da2794y98, replace
