/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 4.4                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"
* Los datos originales proporcionados por el CIS no
* incluyen ponderación alguna (en la documentación del
* estudio, se dice que los datos están autoponderados).
* Para comprobar la diferencia entre tablas de frecuencias
* y estadísticas resumen con y sin ponderación, crearemos
* una variable de ponderación utilizando datos del INE.
* Este procedimiento de ponderación utiliza algunas técnicas
* avanzadas que no explicaremos aquí (Vea en Data\Convierte2794.do
* la forma de hacerlo). Lo importante en este ejercicio es la
* comparación de los resultados con y sin ponderación (que
* aparece a continuación).

* Para mostrar la tabla de frecuencias de sexo sin ponderación,
* utilizamos la orden tab que ya conocemos:

tab P32

* Para mostrar los mismos resultados, pero con ponderación,
* podemos añadir el modificador para pesos analíticos [aw=peso].
* Aunque la ponderación es en este caso muestral y no analítica
* (por lo que en principio sería más adecuado usar pw), las
* proporciones son idénticas en ambos casos, por lo que es
* correcto el uso de aw (el comando tab no acepta pw, habría
* que utilizar los comandos específicos para datos muestrales
* que se explicarán en el capítulo 14).

tab P32 [aw=peso]

* Como vemos, los porcentajes varían, aunque muy ligeramente
* (la proporción de hombres aumenta en un .11%)

* Para mostrar estadísticos de resumen de la variable edad,
* usamos el comando sum:

sum P33

* Y de nuevo, podemos añadir ponderación:

sum P33 [aw=peso]

* La edad media, en este caso, aumenta casi en medio año.

