/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 5.8                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero da2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

/* En primer lugar, se recodifica ambas variables de modo tal que el mejor 
quede convertido en 10 y el peor en 0, mientras el igual se convierte en cinco*/
recode P1 P3 (1=10)(2=7.5) (3=5) (4=2.5) (5=0), gen(I1 I3)
recode P2 P4 (1=10)(2=5)(3=0), gen(I2 I4)
* A continuación de calculan con fórmula el índice.
generate IPolitico=(I1*2+I2)/3
generate IEconomico=(I3*2+I4)/3
summarize IPolitico
global Media_IP=r(mean)
global Desv_IP=r(sd)
summarize IEconomico
global Media_IE=r(mean)
global Desv_IE=r(sd)
display "IP:", %3.1f $Media_IP "-" %3.1f $Desv_IP, "   IE:", %3.1f $Media_IE "-" %3.1f $Desv_IE
