**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 5.9                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* En esta primera parte, se vuelve a construir los índices del ejercicio anterior
recode P1 P3 (1=10)(2=7.5) (3=5) (4=2.5) (5=0), gen(I1 I3)
recode P2 P4 (1=10)(2=5)(3=0), gen(I2 I4)
generate IPolitico=(I1*2+I2)/3
generate IEconomico=(I3*2+I4)/3
* Mediante la siguiente línea de código, se generan las dos variables estandarizadas
for var IPolitico IEconomico: egen X_e=std(X), mean(5) std(1.5)
/* A continuación, se solicita el listado. Hay que prestar atención para que no salgan los valores perdidos
Notad en la tercera línea la expresión <. */
list IPolitico_e IEconomico_e IPolitico IEconomico P1-P4 /// 
     if IPolitico_e<0 | IEconomico_e<0 | ///
	 (IPolitico_e>10 & IPolitico_e<.) | (IEconomico_e>10 & IEconomico_e<.), clean
