/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta                */
/**********************************************/
/*            Ejercicio 5.3                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Las tres variables que recogen el tiempo libre son P2801 (horas al día),
* P2802 (minutos al día, añadidos a las horas de P2801) y P2803 (horas a
* la semana, para los que no responden a las dos preguntas anteriores).
* Si se emplea e fichero da2794.dta no es necesario recodificar como valores perdidos de Stata
* los códigos 99 en las tres preguntas, que recogen la no respuesta, porque ya 
* se ha realizado con el programa Convierte 2794.
* No obstante, si hubiera que hacerlo por emplear por ejemplo cis2794,
* la instrucción sería la siguiente

* recode P2801 P2802 P2803 (99 = .)

* Ahora se procede a generar la nueva variable, que contendrá la suma de P2801
* (expresado en minutos) y P2802 si han respondido a estas preguntas,
* todo ello multiplicado por cinco (días laborables por semana);
* para los que no contestan a las preguntas anteriores (codificados con 0
* en P2801), P2803 multiplicado por 60 (minutos por cada hora): 
gen minutos_ocio = (P2801*60 + P2802) * 5
replace minutos_ocio = P2803*60 if P2801==0
summarize minutos_ocio
