/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 5.4                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero da2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

recode P33 (18/27=1 "18-27") (28/37=2 "28-37") (38/47=3 "38-47") ///
           (48/57=4 "48-57") (58/67=5 "58-67") (68/77=6 "68-77") ///
		   (78/87=7 "78-87") (88/97=8 "88-97"), gen (edad_recodificada)
* Otra opción sería el comando egen con la opción cut, que podemos utilizar para recodificar la edad en intervalos de 10 años:
egen edad_categorizada = cut(P33), at(18,28,38,48,58,68,78,88,98)
tab1 edad_recodificada edad_categorizada

* Este ejercicio requiere aplicar las recodificaciones realizadas en el
* ejercicio anterior:
recode P2801 P2802 P2803 (99 = .)
gen minutos_ocio = ((P2801*60) + P2802) * 5
replace minutos_ocio = (P2803*60) if P2801 == 0

* Para recodificar la variable minutos_ocio en intervalos, podemos
* usar el comando recode; pero antes la convertimos en minutos diarios
generate minutos_ocio_diarios=minutos_ocio/5
recode minutos_ocio_diarios (0/59 = 0 "Menos de una hora") (60/119 = 1 "De una a dos horas") ///
                    (120/179 = 2 "De dos a tres horas") (180/359 = 3 "De tres a 6 horas") ///
					(360/479 = 4 "De 6 a 8 horas") (480/7200 = 5 "Más de ocho horas"), gen (horas_ocio)
tabulate horas_ocio
