/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 5.5                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero da2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Todos los que respondieron 1 o 2 en P34 tienen un código de 0 en P34a;
* los que respondieron 3 tienen un código del 1 al 11 (realmente, sólo
* los que respondieron 3 en P34 respondieron a la pregunta P34a: P34 es
* una pregunta filtro). Para incluir la información de ambas variables
* en una sola, sin necesidad de crear un nuevo label, podemos simplemente
* copiar la información de P34a a una nueva variable:
gen estudios = P34A
* Luego, reemplazamos los valores de la nueva variable por -1 si el encuestado
* respondió 1 en P34 (los que respondieron 2 quedarán con un valor de 0):
replace estudios = -1 if P34 == 1
* Y por último, copiamos la etiqueta P34a, la modificamos y la asignamos a la
* nueva variable:
label copy P34a estudios
label define estudios -1 "Analfabeto" 0 "Sin estudios, pero sabe leer", add
label values estudios estudios
* Finalmente, se comprueba el resultado:
tabulate estudios
