/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 5.6                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero da2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Este ejercicio requiere aplicar recodificaciones realizadas en un
* ejercicio anterior:
recode P2801 P2802 P2803 (99 = .)
gen minutos_ocio = ((P2801*60) + P2802) * 5
replace minutos_ocio = (P2803*60) if P2801 == 0

* Podemos utlizar la función std del comando egen:
egen P33std = std(P33)
egen minutos_ocio_std = std(minutos_ocio)

* Para inspeccionar los máximos y mínimos de las nuevas y antiguas
* variables podemos usar sum:
sum P33 P33std
sum minutos_ocio minutos_ocio_std

/* Como podemos apreciar, las variables estandarizadas tienen media de 0
 (o muy próximas a cero), y desviación típica de 1. Los valores máximos y
 mínimos están expresados en desviaciones típicas: en el caso de la edad,
 estos valores no están excesivamente alejados de la media (menos de 3
 desviaciones típicas a ambos lados), pero en la variable de minutos de
 ocio, podemos ver que tiene un valor máximo muy alejado de la media (más
 de 11 desviaciones típicas, lo que es altamente improbable en una
 distribución normal). */
