/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 5.7                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero da2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Podemos hacerlo con una sola instruccción, utilizando la función rowtotal
* de egen, que calcula la suma de valores de una lista de variables sin
* tener en cuenta los valores perdidos.
* Nótese que no se incluye la P4216, ya que representa a los que no contestan
egen equipamiento = rowtotal(P4201-P4215)
tab equipamiento
* De este modo la frecuencia del valor 0 en la variable equipamiento
* equivale al la frecuncia del valor 1 (NC) en la variable P4216.
