
/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dat               */
/**********************************************/
/*            Ejercicio 6.1                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el directorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
*Se usa el fichero cis2794
use "..\Data\cis2794.dta", clear
* La variable sexo (P32) es nominal: Gráfico de sectores)
graph pie, over(P32) name(E1a, replace)
* La variable P33 es continua: Histograma
histogram P33, width(5) start(15) frequency name(E1b, replace)
* La variable estudios es ordinal:discreta con número medio de valores: 
* Conviene por tanto un gráfico de barras. Previamente se calcula casos
tabulate ESTUDIOS
generate casos=100/r(N)
graph bar (count)casos, over(ESTUDIOS) name (E1c, replace)
