/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*      Necesita fichero cis2798.dta          */
/**********************************************/
/*            Ejercicio 7.5                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2798.dta"
if _rc!=0{
* Este programa necesita que el fichero cis2798.dta se encuentre en el subdirectorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Se usa el fichero cis2798.dta
use "..\Data\cis2798.dta", clear
* Se recodifica la variable p1601 dos veces para generar las variables dicotómicas derecha e izquierda
recode p1601(1/3=1 "Derecha")(4/97=0 "Otra ideología")(else=.), into (derecha)
recode p1601(4/6=1 "Izquierda")(1/3 7/97=0 "Otra ideología")(else=.), into (izquierda)
* Se emplea la prueba de proporciones para la hipótesis de diferencias ideológicas.
prtest derecha=izquierda
* Antes de probar si los jóvenes son más de izquierda clásica, hay que genera la variable dicotómica a partir de la edad.
recode p30(18/30=1)(31/96=0)(else=.), into(joven)
* A continuación, se aplica la prueba con la proporción de izquierda y la variable joven. 
prtest izquierda, by(joven)
* Finalmente, para ver si las mujeres son más de derechas se emplea directamente la variable p29 (sexo).
prtest derecha, by(p29)
