/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*      Necesita fichero cis2798.dat          */
/**********************************************/
/*            Ejercicio 7.5                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2798.dta"
if _rc!=0{
* Este programa necesita que el fichero cis2798.dta se encuentre en el subdirectorio ..\Data
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Se usa el fichero cis2798.dta
use "..\Data\cis2798.dta", clear
* Conviene generar tantas variables correlativas numéricamente como líderes se desean comparar
generate valoracion1=p1704 if p1704<11
generate valoracion2=p1705 if p1705<11
generate valoracion3=p1707 if p1707<11
generate valoracion4=p1708 if p1708<11
generate valoracion5=p1709 if p1709<11
generate valoracion6=p1710 if p1710<11
*El modo más simple para seleccionar a quienes hayan valorado a todos los líderes es con las tres instrucciones siguientes
mark valora
markout valora valoracion*
drop if ~valora
* Con la siguiente instrucción se descartan las variables innecesarias antes de la transformación del fichero
keep CUES valoracion*
* El fichero corto se transforma en largo 6*n
reshape long valoracion, i(CUES) j(lider)
* Una vez en el nuevo fichero se ponen etiquetas y se solicitan los estadísticos por líder
label define lideres 1 "J.A. Durán i Lleida" ///
                     2 "I. Urkullu" ///
					 3 "J.Puigcercós" ///
					 4 "A. Quintana" ///
					 5 "P. Rivero" ///
					 6 "U. Barkos"
label values lider lideres			
tabstat valoracion, by(lider) statistics (n mean sd)
* Y se ve si la diferencias de medias repetidas son significativas.
anova valoracion CUES lider, repeated(lider)
