/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 8.1                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el subdirectorio ..\Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Primero, recodificamos los valores perdidos a P27 y ESTUDIOS:
recode P27 ESTUDIOS (9 = .)
* Recodificamos edad:
egen edad = cut(P33), at(18,30,45,98)
* Y ya podemos sacar las tablas (con porcentajes de columna, el estadístico
* de significación chi2 y  el estadístico de asociación V de Cramer):
tab P27 P32, col chi V
tab P27 edad, col chi V
tab P27 ESTUDIOS, col chi V

/* En los tres casos, la relación entre la variable dependiente y la independiente
 es significativa de acuerdo con el test de chi2. La V de Cramer muestra que la
 asociación entre sexo y uso de internet es mucho menor que la que la de edad y
 estudios, teniendo estas dos últimas variables una asociación semejante con el
 uso de internet. Las categorías más extremas de estudios muestran un contraste
 total: mientras que prácticamente ningún encuestado sin estudios utilizó internet,
 casi el 95% de los que tenían estudios superiores lo utilizó. */
