/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 8.2                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el subdirectorio ..\Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Primero, recodificamos los valores perdidos a P27 y ESTUDIOS:
recode P27 ESTUDIOS (9 = .)

* Para hacer una tabla de contingencia que muestre residuos estandarizados,
* podemos usar el comando tabchi con la opción adj (añadimos noo y noe
* para que no muestre los valores observados y predichos; y la opción cellwidth
* para que la tabla quepa en pantalla):

* [Si no tuviéramos tabchi instalado, podemos instalarlo mediante la instrucción:
* net install tab_chi]

tabchi P27 ESTUD, adj noo noe cellwidth(8)

/* Los residuos ajustados muestran que todas las diferencias de uso de internet
 por niveles de estudios son estadísticamente significativas, pues superan con
 mucho el valor crítico de +/- 1.96. Para cada categoría de la variable
 independiente, los residuos (ajustados o no) siempre habrán de sumar cero, lo
 que implica que cuando la variable dependiente tiene dos categorías tendrán
 el mismo valor y signo opuesto. Esto es así porque el residuo se calcula
 comparando el valor observado con el esperado en ausencia de relación entre
 ambas variables: si no hubiera tal relación, los valores para cada categoría
 de la dependiente serían idénticos entre sí e idénticos al marginal correspondiente. */
