/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2794.dta               */
/**********************************************/
/*            Ejercicio 8.3                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2794.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2794.dta se encuentre en el subdirectorio Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2794.dta"

* Primero, recodificamos los valores perdidos a P27 y ESTUDIOS:
recode P27 ESTUDIOS (9 = .)
* Generamos una variable categórica para la edad, con tres intervalos:
egen edad = cut(P33), at(18, 30, 45, 98)

* Para hacer tablas bivariadas controlando por una tercera variable, podemos
* utilizar bysort, del siguiente modo:
bysort P32: tab P27 edad, row nof chi V
bysort P32: tab P27 ESTUDIOS, row nof chi V

/* En ambos casos, parece haber una pequeña interacción: el efecto de la edad
 y los  estudios sobre el uso de internet es ligeramente más acentuado en el 
 caso de las  mujeres que en el caso de los hombres (véase la V de Cramer). */
