/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2798.dta               */
/**********************************************/
/*            Ejercicio 8.4                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2798.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2798.dta se encuentre en el subdirectorio ..\Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2798.dta"
recode p24 (1/4=1 "Izquierda")(5/6=2 "Centro")(7/10=3 "Derecha") (else=.), gen(ideol3)
tabstat p1701-p1710, statistics(n mean sd) long by (ideol3)
/*De este modo se muestra diecisiete columnas: una para cada lider político y
cuatro grupos horizontales de información: tres para las diferentes ideologías y
otra para el total. En cada grupo aparece el tamaño de la muestra la media y
la desviación típica.
Entre los datos destaca que los únicos líderes que tienen una valoración por 
encima de 5 son Zapatero para los de izquierda y Rajoy para los de derecha */

/*Otro modo alternativo de obtener los mismos resultados dispuestos en otra
disposición sería el siguiente */
tabstat p1701-p1710, statistics(n mean sd) col(statistics) long by (ideol3)
