/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2801.dta               */
/**********************************************/
/*            Ejercicio 8.5                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2801.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2801.dta se encuentre en el subdirectorio ..\Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2801.dta"
/* En primer lugar, se crea la nueva variable dicotómica "No vive con nadie"
a partir del número de personas con las que se vive (p25)*/
gen p25a09b=(p25==0) if p25<99
label var p25a09b "Nadie"
* Quitar asteríscos a las dos siguientes líneas, si no ha instalado el programa mrtab
* net from http://www.stata-journal.com/software/sj5-1
* net install st0082
* Ahora ya se puede obtener la tabla univariada
mrtab p25a01-p25a09 p25a09b p25a10,  title("Vive con...") nonames
* Y, después de recodificar la edad, obtener el cruce
recode p30 (18/30=1 "Joven")(31/45=2 "Adulto")(46/65=3 "Maduro")(66/97=4 "Mayor"), gen(edad3)
mrtab p25a01-p25a09 p25a09b p25a10, by(edad3) nofreq col chi2 mtest title("Vive con...") nonames
/* Puede fácilmente apreciarse que los jóvenes tienden a vivir con padres y hermanos
mientras que adultos y maduros con la pareja y los hijos. Los mayores, por su parte,
son los que más viven solos comparativamente. La relación es muy significativa.
