/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero cis2801.dta               */
/**********************************************/
/*            Ejercicio 8.6                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2801.dta"
if _rc!=0{
*Este programa necesita que el fichero cis2801.dta se encuentre en el subdirectorio ..\Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\cis2801.dta"
* Quitar asteríscos a las dos siguientes líneas, si no ha instalado el programa mrtab
* net from http://www.stata-journal.com/software/sj5-1
* net install st0082
*Directamente, se puede obtener las frecuencias múltiples
mrtab p501-p503, poly response(1/13 15 16 18/24 26 96 98) title("Problemas") nonames
*Para cruzar, en primer lugar, se recodifica la ideología; después, se cruzan las variables 
recode p27 (1/4=1 "Izquierda")(5/6=2 "Centro")(7/10=3 "Derecha") (else=.), gen(ideol3)
mrtab p501-p503, poly response(1/13 15 16 18/24 26 96 98) by(ideol3) nofreq col chi2 mtest title("Vive con...") nonames
/*Se puede apreciar que los problemas que dividen a las ideologías son el gobierno y los políticos,
la salud, la sanidad y los problemas medioambientales*/
