/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*      Necesita fichero mundo2005.dta        */
/**********************************************/
/*            Ejercicio 9.1                   */
/**********************************************/
version 14
capture confirm file "..\Data\mundo2005.dta"
if _rc!=0{
display "Este programa necesita que el fichero mundo2005.dta se encuentre en el subdirectorio Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* En primer lugar, se cargan los datos:
use "..\Data\mundo2005.dta"
* Para crear modelos distintos modelos se realizan las transformaciones con la variable independiente cuantitativa.
generate rnpcppp2=rnpcppp^2
generate ln_rnpcppp=ln(rnpcppp)
generate ln_evn=ln(evn)
* Antes de introducir la variable continente, se comprueba qué  relación puede existir entre evn y rnpcppp.
* Modelo lineal
regress evn rnpcppp
* Modelo cuadrático
regress evn rnpcppp rnpcppp2
* Modelo exponencial
regress ln_evn rnpcppp
* Modelo logarítimico
regress ln_evn ln_rnpcppp
* Modelo lin-log
regress evn ln_rnpcppp
* Modelo lin-log con continente como variable ficticia:
regress evn ln_rnpcppp ib3.conti
