/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*      Necesita fichero cis2798.dta          */
/**********************************************/
/*            Ejercicio 9.4                   */
/**********************************************/
version 14
capture confirm file "..\Data\cis2798.dta"
if _rc!=0{
display "Este programa necesita que el fichero mundo99.dta se encuentre en el subdirectorio Data"
exit
}
* Se borra de memoria cualquier fichero anterior
clear
* En primer lugar, se cargan los datos:
use "..\Data\cis2798.dta", clear
* Se generan las variables dicotómicas específicas.
* También podría hacerse con 1.p13b, 2.p13c (v. gr) con menor control de ns/nc
generate ser=(p13b==1) if p13b<98
generate cope=(p13b==2) if p13b<98
generate Elpais=(p13c==1) if p13c<98
generate Elmundo=(p13c==2) if p13c<90
* Se transforma la ideología para considerar el ns/nc como categoría base
recode p24(98 99=0)
* Se transforma a valores perdidos el no sabe/no contesta de la evaluación a los partidos
recode p18 p19 (8 9=.)
* Se supone que los no saben/no contestan de la probabilidad de voto
* (p2701-p2704) están considerdos como perdidos. Caso de que no:
* recode p2701-p2704 (98 99=.)
* Regresión para la probabilidad de voto al PSOE
regress p2701 p29 p30 ib5.p24 ib3.p18 ib3.p19 ser cope Elpais Elmundo
* Regresión para la probabilidad de voto al PP
regress p2702 p29 p30 ib5.p24 ib3.p18 ib3.p19 ser cope Elpais Elmundo
* Regresión para la probabilidad de voto a IU
regress p2703 p29 p30 ib5.p24 ib3.p18 ib3.p19 ser cope Elpais Elmundo
* Regresión para la probabilidad de voto a UPyD
regress p2704 p29 p30 ib5.p24 ib3.p18 ib3.p19 ser cope Elpais Elmundo
