/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/*      Necesita marriage.dta                 */
/**********************************************/
/*            Ejercicio 13.1                  */
/**********************************************/
version 14
capture confirm file "..\Data\marriage.dta"
if _rc!=0{
display "Este programa necesita que el fichero marriage.dta se encuentre en el subdirectorio Data"
exit
}
* En primer lugar, se cargan los datos:
use "..\Data\marriage.dta", clear

*primera alternativa para definir el fichero como historia de acontecimiento
generate dur=dmarr-age14
stset dur, fail(event)

*segunda alternativa
stset dmarr, fail(event) origin(age14)

*Gráfico de la función de supervivencia del matrimonio
sts graph, ylabel(, angle(horizontal)) xlabel (0 (60) 480) ///
         xtitle("Duración del matrimonio") ///
		 title ("Funciones de supervivencia") name(ST1, replace)

*Gráfico de supervivencia del matrimonio por sexo
sts graph, ylabel(, angle(horizontal)) xlabel (0 (60) 480) ///
         xtitle("Duración del matrimonio") ///
		 title ("Funciones de supervivencia") ///
		 by(sex) name(ST2, replace)
		 
* Listado de la función de supervivencia
sts list, at(12 24 36 to 444)
*Listado de la función de supervivencia por sexo
sts list, by(sex) at(60, 120 to 480)
