/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero daecvt01.dta              */
/**********************************************/
/*            Ejercicio 14.4                  */
/**********************************************/
version 14
capture confirm file "..\Data\daecvt01.dta"
if _rc!=0{
display "Este programa necesita que el fichero daecvt01.dta se encuentre en el directorio"
}
* Se borra de memoria cualquier fichero anterior
clear
* Abrimos el fichero
use "..\Data\daecvt01.dta"

* Aplicamos la especificación muestral:
replace pond = pond/1000.
recode v268 (1/3 = 1) (4 = 2) (5=3) (6/7 = 4) (8/9 = 5), gen(tamuni)
gen estrato = v4*tamuni
svyset [pweight=pond], psu(v294) strata(estrato)

* Recodificamos la variable dependiente como dummy:

recode v42 (2 = 0)

* Generamos una variable para seleccionar los casos válidos para la
* regresión (han de ser asalariados, y haber respondido en todas las
* preguntas relevantes):

gen val = (v19==1 | v19==2) & v146!=9 & v309!=9 & v310!=9

* Veamos primero la regresión sin ponderar:

logit v42 v150 ib3.v146 i.v309 i.v310 if val == 1

* Y ahora con la ponderación antes especificada:

svy, subpop(val): logit v42 v150 ib3.v146 i.v309 i.v310

* Como en el caso anterior, la capacidad explicativa del modelo es
* bajísima: las variables de tiempo de trabajo utilizadas no tienen
* influencia significativa sobre la búsqueda de otro empleo.
