/**********************************************/
/*    Ejemplo para responder a Pepe           */
/**********************************************/
/* Necesita fichero daecvt01.dta              */
/**********************************************/
/*            Ejercicio 14.2                  */
/**********************************************/
version 14
capture confirm file "..\Data\daecvt01.dta"
if _rc!=0{
display "Este programa necesita que el fichero daecvt01.dta se encuentre en el directorio"
}
* Se borra de memoria cualquier fichero anterior
clear all
* Abrimos el fichero
use "..\data\daecvt01.dta"

* La escala de la variable de ponderación no es correcta (los
* datos estaban originalmente grabados sin decimales), por lo que
* es necesario dividir esta variable por 1000:
generate pondera = pond/1000.

* Hacemos una pseudo-ponderación para poder utilizar el valor de la muestra sin elevar
svyset _n
svy:tab v253
*** El probrama svy:tab genera productos. Puedes ver la lista completa con "ereturn list"
*** Nosotros usamos e(b) que es una matriz de proporciones (en este caso sin ponderar)
matrix SinPonderar=e(b)
* Podemos ya aplicar la ponderación y las unidades primarias de muestreo,
recode v268 (1/3 = 1) (4 = 2) (5=3) (6/7 = 4) (8/9 = 5), gen(tamuni)
svyset [pweight=pondera], psu(v294) strata(tamuni)
* El comando svydes muestra una descripción básica de la muestra tal y como
* la hemos definido anteriormente:
svy:tab v253
***Ahora trasladamos los resultados a la matriz Ponderada
matrix Ponderada=e(b)
*** Y ahora viene lo que quieres. He supuesto que la variable x1 es un peso antiguo (pond) al que le aplicas uno nuevo
*** al multiplicarlo por frecuencia de la muestra sin elevar(SinPonderar[1,X])/frecuencia de la muestra elevada(Ponderada[1,X])
generate peso=0
for numlist 1/2: replace peso=pond*SinPonderar[1,X]/Ponderada[1,X] if v253==X
***Comprobación
list pond pondera peso v253 in  1/10
****FIN
