/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Usa: fichero ficherox ficheroy ficherou   */ 
/* fichero.dat ficheroa.dat ficherob.dat      */

/* ficheroc.dat diccionario.dct y cis2384.dct */
/**********************************************/
/*               Introducción                 */
/**********************************************/
version 14
capture confirm file "ficheroa.dta"
if _rc!=0{
display "Ponga por defecto el directorio donde se encuentran los datos con la instrucción cd"
}
log using "capitulo3", replace
clear
set mem 500M
set more off
set scheme sj
/**********************************************/
/*                                            */
/*         Ejercicios del capítulo 3          */
/*                                            */
/**********************************************/
/**********************************************/
/*        Lectura de datos con Stata          */
/**********************************************/
insheet using "data/fichero.dat", clear
list, clean
insheet sexo edad using "data/ficheroa.dat", clear
list, clean
infile sexo edad str12 nombre using "data/ficherob.dat", clear
list, clean
infix sexo 1 edad 2-3 str nombre 4-16 using "data/ficheroc.dat", clear
list, clean
infix 2 lines 1: sexo 1 edad 2-3 2: str nombre 1-12 using "data/fichero.dat", clear
list, clean
infile using "data/diccionario", clear
list, clean
infile using "data/cis2384", clear
list in 1/10, clean
/**********************************************/
/*            Fusión de ficheros              */
/**********************************************/
use data/fichero,clear
append using data/ficheroy
list, clean

merge using "data/ficherox"
list, clean

joinby nombre using "data/ficherou", _merge(combina)
list, clean

joinby nombre using "data/ficherou", _merge(combina2) unmatched(both) update
list nombre sexo edad region combina2, clean
log close
set more on
