** Recodificaciones sobre el estudio panel CIS 2382-2384 para regresiones logt, ologit y mlogit

** Creacin de la variable dependiente
gen manif = (p602 != 3) if (p602 != 9) & (p602 != .)
label variable manif "Ha asistido a alguna manifestacin"


** Variable ingresos: recodificamos los ingresos familiares declarados por el encuestado
gen ingresos = .
replace ingresos = 1 if p64 < 4
replace ingresos = 2 if p64 == 4 | p64 == 5
replace ingresos = 3 if p64 > 5 & p64 < 99
replace ingresos = .a if p64 == 99
label variable ingresos "Ingresos familiares mensuales entrevistado"
label define ingresos 1 "Menos de 150.000" 2 "De 150.0000 a 300.000" 3 "Ms de 300.000" .a "Ns/Nc"
label values ingresos ingresos

** y la convertimos en dummies:
tab ingresos, gen(ingr)

** Variable estudios: recodificamos estudios en 3 categoras
gen estudios =.
replace estudios = 1 if yestudi < 3
replace estudios = 2 if yestudi == 3 | yestudi == 4
replace estudios = 3 if yestudi > 4 & yestudi < 7
label variable estudios "Nivel de estudios"
label define estudios 1 "Primarios y menos" 2 "Secundarios" 3 "Universitarios"
label values estudios estudios

** y la convertimos en dummies:
tab estudios, gen(estu)

** Variable mujer
gen mujer = sexo - 1

** Construimos situacin laboral, en varias dummies. Es la situacin laboral del
** entrevistado. A los ocupados los dividimos en tres: fijos, temporales y
** autnomos. Quitamos los ns/nc y las categoras residuales.
gen ocupado = (p60 == 1) if (p60 < 8)
gen jubilado = (p60 == 2) | (p60 == 3) if (p60 < 8)
gen parado = (p60 == 4) | (p60 == 5) if (p60 < 8)
gen estudiante = (p60 == 6) if (p60 < 8)
gen amadecasa = (p60 == 7) if (p60 < 8)

** Creamos la desafeccin a partidos, mediante la recodificacin de 
** la variable p304. Tambin se establece en la misma instruccin 
** los valores missing .a=No sabe .b=No contesta
recode p304 (1=4) (2=3) (3=2) (4=1) (8=.a) (9=.b), gen(dep)
label var dep "Desafeccin a partidos polticos"

** Preparamos el recuerdo de voto para su tratamiento multinomial
** Se recodifica en la variable voto con tres valores perdidos:
** .a "Blanco" .b "No vot" y -c "No contesta"
recode p34 (1=3) (2=1) (3=2) (4/12 15=4) (13 14 16/49=5) (96=.a)(0 98=.b) (99=.c), into(voto)
label variable voto "Recuerdo de voto recodificado"
label define voto 1 "PP" 2 "PSOE" 3 "IU" 4 "Nacionalista" 5 "Otros" .a "Blanco" .b "No voto" .c "NC" , modify
label value voto voto
