/**********************************************/
/*  M. Escobar, E. Fernández, F. Bernardi     */
/*  Análisis de datos con Stata               */
/*  Madrid. CIS. 2020                         */
/**********************************************/
/* Necesita fichero panel11.dta               */
/**********************************************/
/*               Introducción                 */
/**********************************************/
version 14
* Añadir un asterisco a la siguiente línea, si ya ha instalado el programa omodel
* ssc install omodel
capture confirm file "Data\panel11.dta"
if _rc!=0{
/* Si el programa se detiene aquí es porque no se encuentran los datos. 
Estos han de situarse en el subdirectorio Data. Para solucionarlo, 
se recomienda que vuelva a descomprimir el fichero de ejercicios */
exit
}
capture log using "capitulo12", replace
clear all
set mem 500M
set more off
set scheme sj
/**********************************************/
/*                                            */
/*  Ejemplos del capítulo 12                  */
/*                                            */
/**********************************************/
use "Data\panel11", clear
run capitulo11R /*Llama a un programa para preparar las variables dependientes e independientes*/
/**********************************************/
/*         El modelo logit ordinal            */
/**********************************************/
tabulate dep p304
ologit dep estu2 estu3 edad ingr2 ingr3 mujer
listcoef
prvalue, x(estu3=1 estu2=0 edad=40 ingr2=0 ingr3=1 mujer=1)

quietly: ologit dep estu2 estu3 edad ingr2 ingr3 mujer
brant
quietly: ologit dep estu2 estu3 edad ingr2 ingr3
brant

/**********************************************/
/*      Regresión logística multinomial       */
/**********************************************/

mlogit voto i.sexo edad i.estudios i.ingresos
listcoef, pvalue(0.05) gt
mlogitplot sexo edad i.ingresos i.estudios, symbols(P S I N O) xline(0) linep(.05)
mlogtest, hausman smhsiao
log close
